Compare commits

...

2 Commits

Author SHA1 Message Date
Mario Fetka 29aac420c4 add fluxengine 2023-07-10 19:43:00 +02:00
Mario Fetka 9079259fcc Bump 2023-05-26 12:27:54 +02:00
36 changed files with 382 additions and 1448 deletions

View File

@ -1,6 +1,4 @@
DIST xxe-perso-10_2_0.zip 86723082 BLAKE2B e6ff3115322e64d6943f18402a5dbd4245bc10986ba642bdc11df92e47ff8e5486da601f2c5d1199dd394cbaf0d485a1ef9a8d940df26dd3e3d09528cb7b6605 SHA512 702aaf36778640ea090b02cf98b3b22935e2f8d1151311522ed0d8d7720a4460cc11e3339c9b65c6ef46a81921ff2be118438140604db2e0bfa20b6d8a20c0a0
DIST xxe-perso-10_3_0.zip 87333279 BLAKE2B f0acf9b670f51f76d1ebbb6fa46c9600de6749f4776039a0db857e756ecc4a84ba77f2127c7396c9113fdd1236868a19eae72367522222f87080fbe23ae748fc SHA512 c335b8611c429c32f1cb5441395cfe20eff0b9e88811c92990046dc4ca2ee0c70a6a64b6c40b4ee8b90883f5b87c98ba30a29de2826721a3c4ab785b9d4250fd
EBUILD xxe-10.2.0.ebuild 2335 BLAKE2B be8da75b7ecca193c22fcfb356a98b89195abc85e81cd8e06ae8266d9483480b4e6e793b41c5c10c52232e4f8e74796ec36202085e6bdf584f70cd4b6d01644e SHA512 67b0bedcafc8ff1a1a43ba15fcdf948e7b4dbb311e9a4e198a09796c94e9b6ae0a27ad6e0519beb6a6d560ee7626e75b405dd28aebaf705980dfdcdf7258f833
EBUILD xxe-10.3.0.ebuild 2257 BLAKE2B d08d9eaa0033d7a15cb1140c7670693803d7874b1b0ac8184fa3dc909707008923135fde8415371a1f032e1d4973e87dbe9e6e8aef09586fa4aceef4c511deb9 SHA512 32764950348270e522549869b387f578cba29c45a4b55f6beb6c511544e389c155d2e7ce70c76b1ea2b02c4982db34c2b7646643acfa4f19a49285977318c952
DIST xxe-perso-10_4_0.zip 87564257 BLAKE2B 736251876ecc7c6dad4232afa8e18d74cb6553813835d3f5d34388b176f08437386270ba41824738a947b376707833dc6871923330df6c8cc6d9a747627261c6 SHA512 367794ff4ee9d9f36334ead64ca166e0a293598cd95c072040a61abdb821dce288a513c83bc4bfc5296e220fef84aad9bbf89dcd94bd55596efb19f7e293e9bc
EBUILD xxe-10.4.0.ebuild 2257 BLAKE2B d08d9eaa0033d7a15cb1140c7670693803d7874b1b0ac8184fa3dc909707008923135fde8415371a1f032e1d4973e87dbe9e6e8aef09586fa4aceef4c511deb9 SHA512 32764950348270e522549869b387f578cba29c45a4b55f6beb6c511544e389c155d2e7ce70c76b1ea2b02c4982db34c2b7646643acfa4f19a49285977318c952
MISC ChangeLog 2997 BLAKE2B c485a198c3a1ddda9c6f2f069fa73ee2c4deeb4eee4d28ec2f964e30cbc1a9f2299ee0e0ad0e4bda56c5ee5e7de5b7fd89b4b209c2834b9037350ca72bfa3f50 SHA512 6c1fadc9affbc2d88d3ad04db1298dd76d3f76769ecb9a5c59fd4e2f290495310500c0f95e95d062a3711d802805814597c87037fa24e3337c929ff3fc3b20dc
MISC metadata.xml 408 BLAKE2B 66a3e2838d5c5f95c7463733cd13b1230ef3ca005ec0c5dac797561be30f950da98dfa41eeb4d43cf97500c9a2e0d04c57b0b084d60107072a988dd7c4d16ded SHA512 9cac3e4a07c425e87274de776e03d243e462341168235cd3991ef4706aa1a902cf6591ae8e965b9c4ed370fc2ebef3ca805a9c761d05c4b994ae8667198b267c

View File

@ -1,79 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=6
inherit java-pkg-2 versionator
DESCRIPTION="XMLmind XML Editor allows to author large, complex, modular, XML documents"
HOMEPAGE="http://www.xmlmind.com/xmleditor/"
MY_PV=$(replace_all_version_separators '_')
MY_P="${PN}-perso-${MY_PV}"
SRC_URI="https://www.xmlmind.com/xmleditor/_download/${MY_P}.zip"
LICENSE="xxe-perso"
# license does not allow redistributing, and they seem to silently update
# distfiles...
RESTRICT="mirror"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND=">=virtual/jre-1.8
dev-java/javahelp:0
dev-java/saxon:6.5
dev-java/saxon:9
dev-java/xml-commons-resolver:0
"
S="${WORKDIR}/${MY_P}"
pkg_setup() { :; }
src_compile() { :; }
src_install() {
local dir="/opt/${PN}"
# buggy binary crap also requires the demo dir ??
insinto "${dir}"
doins -r addon demo
# Xerces has been patched hope this gets upstream was version 2.9.1
# relaxng is a heavely modified version of jing 20030619
java-pkg_jarinto "${dir}"/lib
java-pkg_dojar bin/${PN}.jar bin/relaxng.jar bin/xerces.jar
local dep="javahelp,saxon-6.5,saxon-9,xml-commons-resolver"
java-pkg_register-dependency ${dep}
# put launchers into the xxe/bin dir as expected by the xxe.jar
into "${dir}"
java-pkg_dolauncher authvalue \
--main "com.xmlmind.netutil.SimpleAuthenticatorModule" \
--java_args "-Xss4m -Xmx512m"
java-pkg_dolauncher xmltool \
--main "com.xmlmind.xml.xmltool.Main" \
--java_args "-Dxml.catalog.files=\"${dir}/addon/config/catalog.xml\" -Xss4m -Xmx512m"
java-pkg_dolauncher xxeconvert \
--main "com.xmlmind.xmleditapp.convert.StartConvert" \
--java_args "-Xss4m -Xmx512m"
java-pkg_dolauncher ${PN} \
--main "com.xmlmind.xmleditapp.desktop.QuickStart" \
--java_args "-Xss4m -Xmx512m"
# for direct run without creating an env.d file link them
dodir /opt/bin
dosym ${dir}/bin/authvalue /opt/bin/authvalue
dosym ${dir}/bin/xmltool /opt/bin/xmltool
dosym ${dir}/bin/xxeconvert /opt/bin/xxeconvert
dosym ${dir}/bin/xxe /opt/bin/xxe
dohtml -r doc/*
dodoc legal/ditac.* legal/expr.* legal/icons.* legal/relaxng.* \
legal/xerces.* legal/xsdregex.* legal/xxe-* legal.txt
doicon bin/icon/xxe.png
make_desktop_entry xxe "XMLmind XML Editor" xxe "Development;TextEditor;"
}

View File

@ -0,0 +1,4 @@
DIST bottles-51.5.tar.gz 2168592 BLAKE2B 5aee4a6db1f066cfed10262e7af5ec8ec3416583d92095c69e5bc9c8f0c17f083c2eee44dedf79b2405f442e7433b58209cb1b73f47a95ed51aacb24115c54b1 SHA512 5d238d62053d2bdb6ba17cc0e2903b45c9c87f08b0d737264a4d1efa7e10ca9d77fc722333ae91ad4929a5b742a628692601dcc915d4553815d1361d1a0a110e
EBUILD bottles-51.5.ebuild 3276 BLAKE2B bf7b7980a3f0703f37b6fc46a6294b1347c1ee21204be488b7b9486f1b22d7f7dee17a0f0aa68326f7b07ca111d9642b20f1cf3e658cd1ddde6b093b2a83ccaa SHA512 288c48cd366874d5a246e931d67b33a076f388ac7db94a0ce37ebfb8636c29b23fc4a78eee9bc6a58fc4ad1aac36f00c8989fedb64a73b7364bd03b44e4dfd39
EBUILD bottles-9999.ebuild 3276 BLAKE2B bf7b7980a3f0703f37b6fc46a6294b1347c1ee21204be488b7b9486f1b22d7f7dee17a0f0aa68326f7b07ca111d9642b20f1cf3e658cd1ddde6b093b2a83ccaa SHA512 288c48cd366874d5a246e931d67b33a076f388ac7db94a0ce37ebfb8636c29b23fc4a78eee9bc6a58fc4ad1aac36f00c8989fedb64a73b7364bd03b44e4dfd39
MISC metadata.xml 361 BLAKE2B 2e06ad1de23d0a780764bb124bec58dd093ba76d4d4e006355b1edf74b7c7f5f6e272fb6b48f3e787b6afc4037b0477d02b8892dd489370fa5296e3be6ba4d96 SHA512 cd61671bca61241c488f88996f2585c177759e762da1181b70816fc886b54d0d52b02af5421ed8f10f5ce0abc32d2b7de106efd48c39e466104483d379ecc637

View File

@ -0,0 +1,120 @@
# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# todo patool, icoextract
PYTHON_COMPAT=( python3_{9..11} )
inherit gnome2-utils python-single-r1 meson xdg optfeature
DESCRIPTION="Run Windows software and games on Linux"
HOMEPAGE="https://usebottles.com/"
if [[ "${PV}" == "9999" ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/bottlesdevs/Bottles/"
else
SRC_URI="https://github.com/bottlesdevs/Bottles/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/Bottles-${PV}"
KEYWORDS="~amd64"
fi
LICENSE="GPL-3"
SLOT="0"
IUSE="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# tests are quite pointless as they check static files and releases are tagged with them still failing
RESTRICT="test"
# Very annoying to figure out the deps
# Script for getting python modules:
# https://gitlab.com/Parona/my-scripts/-/blob/master/scripts/python_deps.sh
# Runtime programs needed can be quickly found with:
# grep -r "shutil.which"
# But look at context to gauge if they are optional or not
#
# BDPEPEND dependencies can be thankfully gathered from the meson.build files
# DEPEND are instrospection files which can be found as such
# find . -name "*.blp" -exec grep -Eh "^using " {} + | sed 's/using \([A-Za-z]*\) \([0-9.]*\);/\1-\2.typelib/'
# And in similar vein find runtime required introspection files, similar deal with getting typelib file as above
# grep -r "gi.require_version
# vkbasalt could be optional but vkbasalt-cli isnt
# It could work without wine but(!) it still requires all the runtime dependencies for wine
# so easier to depend on wine to get it for free
DEPEND="
gui-libs/gtk:4[introspection]
gui-libs/libadwaita[introspection]
"
RDEPEND="
${PYTHON_DEPS}
${DEPEND}
app-arch/cabextract
app-arch/p7zip
gui-libs/gtksourceview[introspection]
media-gfx/imagemagick
>=sys-libs/glibc-2.32
virtual/wine
x11-apps/xdpyinfo
$(python_gen_cond_dep '
app-arch/patool[${PYTHON_USEDEP}]
dev-python/FVS[${PYTHON_USEDEP}]
dev-python/pygobject[${PYTHON_USEDEP}]
dev-python/icoextract[${PYTHON_USEDEP}]
dev-python/markdown[${PYTHON_USEDEP}]
dev-python/orjson[${PYTHON_USEDEP}]
dev-python/pathvalidate[${PYTHON_USEDEP}]
dev-python/pefile[${PYTHON_USEDEP}]
dev-python/pycurl[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
dev-python/vkbasalt-cli[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
')
"
BDEPEND="
${PYTHON_DEPS}
dev-util/blueprint-compiler
dev-libs/glib:2
sys-devel/gettext
test? (
dev-libs/appstream
dev-libs/glib
dev-util/desktop-file-utils
)
"
pkg_setup() {
python-single-r1_pkg_setup
}
src_configure() {
if [[ "${PV}" == "9999" ]]; then
local emesonargs=(
-Ddevel=true
)
fi
meson_src_configure
}
src_install() {
meson_src_install
python_optimize "${D}/usr/share/bottles/"
python_fix_shebang "${D}/usr/"
}
pkg_preinst() {
xdg_pkg_preinst
gnome2_schemas_savelist
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
optfeature "gamemode support" games-util/gamemode
optfeature "gamescope support" games-util/gamescope
optfeature "vmtouch support" dev-utils/vmtouch
#optfeature "MangoHub support" games-util/mangohub
#optfeature "obs-vkcapture support" media-video/obs-vkcapture
}

View File

@ -0,0 +1,120 @@
# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# todo patool, icoextract
PYTHON_COMPAT=( python3_{9..11} )
inherit gnome2-utils python-single-r1 meson xdg optfeature
DESCRIPTION="Run Windows software and games on Linux"
HOMEPAGE="https://usebottles.com/"
if [[ "${PV}" == "9999" ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/bottlesdevs/Bottles/"
else
SRC_URI="https://github.com/bottlesdevs/Bottles/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/Bottles-${PV}"
KEYWORDS="~amd64"
fi
LICENSE="GPL-3"
SLOT="0"
IUSE="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# tests are quite pointless as they check static files and releases are tagged with them still failing
RESTRICT="test"
# Very annoying to figure out the deps
# Script for getting python modules:
# https://gitlab.com/Parona/my-scripts/-/blob/master/scripts/python_deps.sh
# Runtime programs needed can be quickly found with:
# grep -r "shutil.which"
# But look at context to gauge if they are optional or not
#
# BDPEPEND dependencies can be thankfully gathered from the meson.build files
# DEPEND are instrospection files which can be found as such
# find . -name "*.blp" -exec grep -Eh "^using " {} + | sed 's/using \([A-Za-z]*\) \([0-9.]*\);/\1-\2.typelib/'
# And in similar vein find runtime required introspection files, similar deal with getting typelib file as above
# grep -r "gi.require_version
# vkbasalt could be optional but vkbasalt-cli isnt
# It could work without wine but(!) it still requires all the runtime dependencies for wine
# so easier to depend on wine to get it for free
DEPEND="
gui-libs/gtk:4[introspection]
gui-libs/libadwaita[introspection]
"
RDEPEND="
${PYTHON_DEPS}
${DEPEND}
app-arch/cabextract
app-arch/p7zip
gui-libs/gtksourceview[introspection]
media-gfx/imagemagick
>=sys-libs/glibc-2.32
virtual/wine
x11-apps/xdpyinfo
$(python_gen_cond_dep '
app-arch/patool[${PYTHON_USEDEP}]
dev-python/FVS[${PYTHON_USEDEP}]
dev-python/pygobject[${PYTHON_USEDEP}]
dev-python/icoextract[${PYTHON_USEDEP}]
dev-python/markdown[${PYTHON_USEDEP}]
dev-python/orjson[${PYTHON_USEDEP}]
dev-python/pathvalidate[${PYTHON_USEDEP}]
dev-python/pefile[${PYTHON_USEDEP}]
dev-python/pycurl[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
dev-python/vkbasalt-cli[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
')
"
BDEPEND="
${PYTHON_DEPS}
dev-util/blueprint-compiler
dev-libs/glib:2
sys-devel/gettext
test? (
dev-libs/appstream
dev-libs/glib
dev-util/desktop-file-utils
)
"
pkg_setup() {
python-single-r1_pkg_setup
}
src_configure() {
if [[ "${PV}" == "9999" ]]; then
local emesonargs=(
-Ddevel=true
)
fi
meson_src_configure
}
src_install() {
meson_src_install
python_optimize "${D}/usr/share/bottles/"
python_fix_shebang "${D}/usr/"
}
pkg_preinst() {
xdg_pkg_preinst
gnome2_schemas_savelist
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
optfeature "gamemode support" games-util/gamemode
optfeature "gamescope support" games-util/gamescope
optfeature "vmtouch support" dev-utils/vmtouch
#optfeature "MangoHub support" games-util/mangohub
#optfeature "obs-vkcapture support" media-video/obs-vkcapture
}

View File

@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>xgqt@protonmail.com</email>
<name>Maciej Barć</name>
</maintainer>
<upstream>
<remote-id type="github">bottlesdevs/Bottles</remote-id>
</upstream>
</pkgmetadata>

View File

@ -0,0 +1 @@
EBUILD fluxengine-9999.ebuild 2005 BLAKE2B 9f39387bcf1ceb532ec02db8326393e64a86aff450169f4785691b9108e0fcad127d3fd99e1aca3fb14d9a282a05f96b4e91072fd6a969a110c6b310378604b5 SHA512 38e26183d1c5954d6459a863d0a7a98a43e7f1ab67ab3a442f9d348a3371d2abb4d359bfbebc08693f431c44b0639bb997f1ae7070b3fa83faae9101c1b7a1d2

View File

@ -0,0 +1,69 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
WX_GTK_VER="3.0-gtk3"
inherit toolchain-funcs wxwidgets xdg udev desktop
if [[ ${PV} = 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/davidgiven/fluxengine.git"
else
#SRC_URI="http://debian.trikaliotis.net/opencbm/opencbm_${PV}-1.tar.gz"
#SRC_URI="http://www.trikaliotis.net/Download/opencbm-${PV}/opencbm-${PV}-source.tar.bz2"
SRC_URI="https://github.com/OpenCBM/OpenCBM/archive/v${PV//./_}.tar.gz -> opencbm-${PV}-source.tar.gz
https://github.com/OpenCBM/nibtools/archive/master.tar.gz -> nibtools-${PV}-source.tar.gz"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
fi
DESCRIPTION="The FluxEngine is a very cheap USB floppy disk interface capable of reading and writing exotic non-PC floppy disk formats"
HOMEPAGE="https://github.com/davidgiven/fluxengine"
LICENSE="MIT"
SLOT="0"
IUSE="doc"
DEPEND="dev-util/xxd
dev-lang/lua
dev-libs/protobuf
dev-libs/libfmt
dev-db/sqlite
sys-libs/zlib
sys-apps/systemd"
S="${WORKDIR}"/fluxengine-${PV//./_}
BUILD_TARGETS="all"
#src_prepare() {
# eapply_user
#}
src_compile() {
emake DESTDIR="${D}" CC="$(tc-getCC)" AR="$(tc-getAR)" CXX="$(tc-getCXX)" PREFIX="/usr"
#emake -j1 -f LINUX/Makefile CC="$(tc-getCC)" AR="$(tc-getAR)" LIBDIR="/usr/$(get_libdir)" all || die "make fail
#emake -j1 -f LINUX/Makefile CC="$(tc-getCC)" AR="$(tc-getAR)" LIBDIR="/usr/$(get_libdir)" opencbm || die "make fail"
}
src_install() {
#dodir lib/udev/rules.d
#dodir etc/opencbm.conf.d
#dodir usr/lib/opencbm
emake DESTDIR="${D}" PREFIX="/usr" install
#exeinto usr/lib/opencbm
#doexe opencbm/LINUX/plugin_helper_tools
#newexe debian/install_plugin.sh install_plugin
#insinto lib/udev/rules.d
#newins opencbm/sys/linux/45-opencbm-xa1541.rules 45-opencbm-xa1541.rules
#rm -rf "${D}"/var
newicon extras/icon.png ${PN}.png
make_desktop_entry ${PN}-gui "Flux Engine" ${PN}
}
pkg_postinst() {
udev_reload
}
pkg_postrm() {
udev_reload
}

View File

@ -2,6 +2,14 @@ AUX 50calypsi-6502 27 BLAKE2B b609f33d7dc86e05c0aa5a8276e396fbf6a3dd9e52583f625c
AUX 50calypsi-65816 28 BLAKE2B e9c9ac1da74a9fd12183fed94ed4f9618efec24da46301a8ac77d76f1e406b2420e452253628ab66cb1c5e996429d01c7d8815b251e7d2ef0fbef67c678d6346 SHA512 16fe0d087cb9ae00aa0d474800d6f7b648e30f9013af65829c7bb8bda5ca11dbb1dcc10e6d66255c4cada9bdff6b9ac0be1406f7703a063793e39aad15715986
AUX 50calypsi-68k 26 BLAKE2B 17c21e608e0a5873ab0aa8411eb187de2a56cfec41353d840db2f4bdebd3670cb12076f6f1d7f67fbadc591be0dd706bb61cdc50b823e66950c96ae6cb67ed9c SHA512 2dd16c61a98f3924a05e791aef783656a3cc63cb11a4045c2bfd81342ff94285e4a2d1a6e5c64431242015159c86d7326d5170b5d974864c71ef7a69df18d09a
DIST calypsi-6502-3.6.10.deb 48863164 BLAKE2B 791705b34699e0c440d67eadfd97168ee1fee7d75c90227c26c49484728b04b7ae8472472b63c8527a534febdc9108db4655ac47f0f94916bc727bc0176dfa1f SHA512 731a8d4fb74014bd0435cdcab666a29e3a52f07b9fac807913ea441bbbd748d5810ae33a52ec66210c18d06f27eee37a5093a2a3c67fa5ddc166543a1ce93dd3
DIST calypsi-6502-3.6.12.deb 48860060 BLAKE2B 1400703e13f5a0a57bd7116c7773495e365b17c0ed2cd47adada4fe492cf356f3011d673378f4ee8eac14743c9a5ecf8577fca65dd9ef63c356181ee20587f3f SHA512 7113afa087c7f21374d420d5b83402e67ba4a7895395759e652b84274ad6aa6e04f2af0bcfe0912c0fe999bc9fb9f41bf66bc8c1d6c1436198aeaa358e5be192
DIST calypsi-6502-4.1.deb 51722452 BLAKE2B 3495411dcdf50cb822b396d2d9d0e4f536f6c8a8aa35b6e2265dcaeca9c03fcbf1fc4ec51470e764f4744608ed86fcb9864877ac19d1f643a9d548599a4ce818 SHA512 c5176ed9a10450fba2a7ea4defd547caf00ddc8888eaa176501b13d84f9250eaead71a19d490bd8015c05baf37070f7cfc3757b51e3fce8e3cd9d2c58cfc5115
DIST calypsi-65816-3.6.10.deb 52379812 BLAKE2B c65a29aeccdc82ebb1d3cd5fd3a5ef7fdbb31e30d86d7809345e3028f554b666edd3f22c1184fca964abae7478ea1e05cbe0e47523b03cedafd1b7b3a0a5a3f5 SHA512 2669f86c3aee10bc0311cac6ca445cac232ea9085897fc687910a14e5adcb489029710ee6d7edc025a36fb885bb5ddaa2119d28fb3fa93f57f742102b2c5fd98
DIST calypsi-65816-3.6.12.deb 52364020 BLAKE2B e8b9d09aea3a3c62d97a452729810150deac07999bffa08a93d7a8eb33291234892b98387101ee2f145e40e407b6da45d32307c93886e0eb031379dfc7a2f898 SHA512 49a707c24ffcf96720e1f1baf50f405bfb7edd5f34d9384f041b763c0b1ea2ddcbd8b3aa615535584b4ef178fed119991a8461eb6becd03bbc79b698b618fad9
DIST calypsi-65816-4.1.deb 52620624 BLAKE2B 6f160b80824abcd7bd910dae2eae1d812507f5355a1251017dc66f4aa8bbd94543c8f9672ac5c17357efc495067d649cb4486b16f4eafab3030eaec3985e9a25 SHA512 bdb4fda92780f030398b49696102905cadf7f1b98525b3c654e8c92fff1dfaf2fb3888f8d55f4375eae4b7fccaccf9bb295a73ddd39c6ca0bceca063164a69dc
DIST calypsi-68k-3.6.10.deb 49073280 BLAKE2B 69a7bbb5d39842b027e51f2c26be29798792a997176be13a57a756677021280845baf91e38a99e0c854458ba479ca11ec07b32f492be9679b0ddc0bc36778307 SHA512 1300b46fb65b4567de72aa607efcd2c1965b23e607a79f032e451b747cf318aff7a7de95d66f10dd60c15dac8f57f2675136ea50ec8375f62bcf7622fa4f5cb7
DIST calypsi-68k-3.6.12.deb 49068868 BLAKE2B 6f2ca74cf1b566d34e48d02bf22ece226c3a322f756ddda8e55ec41717bbcc1eb53e900172c42cfebe3260368c1efb87ee7eec01149b7d68cfd21fa536968cb9 SHA512 b59b411d687cc0036017b40d2f4f1a0b1bc8aa36db4caeb4444fe86ab0f5c1a51422759b29f5641ef90d446a33791431f7266905a1d928943639ae0fbbbe1ed4
DIST calypsi-68k-4.1.deb 49113752 BLAKE2B a823d7d6d6d0687d95e2995cd1b4785b7ce994758faa20f0009540034ee1eb83a1da6378d45838d127081b54b65a7c387e8755302f89ab0431fbcadb74c8dfb4 SHA512 5b6e5dfb711e7baec3cab27f6c36f4f0d9dcbd99650ddb9899b716db55ba0268136e53c176ecc8299850e86f3d64d5707b92228b337011cd9c8c1462050687e1
EBUILD calypsi-3.6.10.ebuild 1209 BLAKE2B 869c8faf21ee62c3610eacabeeb478d9ff5132ed4492acdd7cbb45914343179832eb591fb521761edb4b321aab6fedbf9c21d03e898a1291aefbab2bf0181095 SHA512 d8d40b5d6080788df9b51af7532f2e01e117e42704f4bfc542729a4c10e236c020b13de225dd58264b4bf76e536c05e5f19e88b99a70baea79b438d2547edbd1
EBUILD calypsi-3.6.12.ebuild 1323 BLAKE2B 2f16512538617b25c62c8dde9dbbe9ec817c42ea88e1e83faeb6f4f7f4128d0165e30838ab82aedb01b8792228341fece0f8459b10fdb0d5e85a73719175b056 SHA512 2f9cefd02c9091b89e50f8e2771664eae255773362adb8ff940e2de04e81e978b7b06bf89d632d029a3cb2858c805b2103e0286394db5691501a9c4fcf2c8208
EBUILD calypsi-4.1.ebuild 1323 BLAKE2B 2f16512538617b25c62c8dde9dbbe9ec817c42ea88e1e83faeb6f4f7f4128d0165e30838ab82aedb01b8792228341fece0f8459b10fdb0d5e85a73719175b056 SHA512 2f9cefd02c9091b89e50f8e2771664eae255773362adb8ff940e2de04e81e978b7b06bf89d632d029a3cb2858c805b2103e0286394db5691501a9c4fcf2c8208

View File

@ -1,8 +1,7 @@
AUX mars-nwe-syslog.patch 1929 BLAKE2B 12d00ad31fd87fb1d3d46068c42551566c7f4b5379c2930be468434b599748fdd47616095869b3dd61e3608b49e072c7bec3f6bd0c50be49bff0be4af41f6663 SHA512 ccbcd32116a310b363f08daac3ee46af9eacb5c0c4473c252ec9d8a5013cd26a70cfe813876ed1a9ec4a0ecb544bf423097476881559d75f48ea997350eaeab0
AUX mars-nwe.initd 587 BLAKE2B c5d939ae6ffcc1dbe795ffd095e285aa14a28efd7738abe39e592a45e6d0a627bd490554c01c59fd9de0e9347517b9f012861751d64576b4107f79b1bb3c03b0 SHA512 a1df3ca9ec16f698c71dd12696610fc0a4f11560f03d3c1dcc557f264458fcedc74bb509b213b3659a4ae985c47782216c8923305ce3c2e54db53163f884867a
AUX mars-nwe.service 197 BLAKE2B 28aa60c545fd4e00800df3f8b85736b2150039bab23da275f1145cb371eb68babfb3bb639607f81a8c23f3efa99929ed6d0d2a8f79b7a95ec9a2097505e9b287 SHA512 c76956fb78fa71b94f228e41406090163d4358342267e716aa90cb6d739f5267028673bef25340c7a1597bac80a7d793e8891a173880853c3c632e59402defa9
AUX mars-nwe.tmpfilesd 36 BLAKE2B 2ed4cac90b4645cc583537a5fa26b6ff22738ba093d19ed92e6b0c6ca24113a3601ef3a8d1590ccd1a547c0d823ee75ff36dc2258798febf83aeb87521b2c93c SHA512 d2deb761f0b859a317798a46c512ef431bc71c55dc903980f1a10ad19e86f6e76cc7a37b2b38122e8c362c6fd182d247caa965599025383144c0a373f67f922b
DIST mars_nwe-0.99.pl23.tar.bz2 369194 BLAKE2B 5fd2b54a4d9bf8cac13d60c1a3b0dbd54af00f506e1552a48dbc7772a52319fe688684b7dbb68a36d5e39b4363d13ec8924df357d0b9e27b42f74cb7fe94a544 SHA512 24cf78ea0091bc9414f27ac77cfa535fe611badc013f343766b88e12cc5afc2e1ae595d423ea4ec7bfb4255dd8a3f81247dcfab515044152861ea2f46380fd2d
EBUILD mars-nwe-0.99_p23.ebuild 976 BLAKE2B 5495ccc25e9d46831cbdf0a6679bd579582e28368777877a03a062f8b502826701901f276a98bd6babf25839e414e836d210bf7abc968abd9f9bc652b081a4bf SHA512 a0bc4c435d52b3c40cecbd9621082a9f93a55b0cc27067759386908e54d2f5dbd98107fa2ce3c1d7ff94caed2bef458b91311f1569772a5413d877fbd136a4cd
AUX mars-nwe.initd 572 BLAKE2B f86550c9cdf56eb3384873ea053a2f0906aabe5bbcfc12350e5d9aab1c8410e224cb434c22b6550ea4a6b4e0672d469c60184443f4edeb23b45cd6bd5c477691 SHA512 0228dbeb34e21cbcd74fc3ce2fefb17de2c93569e977890e8ab0c8b7df5bcc9621558b4da9a673ad96b5b889098343b082d5964e700ea80c765b351ff15fabf5
AUX mars-nwe.service 193 BLAKE2B 3c92f905bd823f65d36ba0d71bc2796b036d6b588e514c4faa288baba47d347bf85db02f2b04f35b5454f08df9641ea1148fa72f926901fddaa89db21f861a2b SHA512 6d802c9d52e7f42e4d53e28d565f7b76d5358f8b48e5639fdafe59b56c5c274eeeef2d23d40a92fc99155e2250395642b5d9db098a0425493cb3b32456377c43
AUX mars-nwe.tmpfilesd 32 BLAKE2B 17c464796d9167d4ed54fb33f49050473da5b6613e6d8e10663d44067d98bf6fed9ac68dcae4c2e49faa4e3581e2045e1e6b216de2fcfc15dce0d3d5cf143542 SHA512 6bb08d4c373ed950c159a5adcf33fe75ecfb2445aa1046d488f3c98e1378520be8ab633eed627f6e706b003238482e2c30063ddfacf253119e73893ff22402e3
DIST mars_nwe-0.99.pl24.tar.bz2 387320 BLAKE2B 7e7fb4fa563f5fc08558f2610de3ca8798a5fed3437cda05f415e7a04f3f0b8cbd986c5cb5a63b693cf34f1fb33ccc4c23a6833e61a305278df05f3408bf1c00 SHA512 7461dfabd97dd63830260e537daeab0d859bcffbf302792b51b966da473cbb6037a9cc884a8604040ec6f098a5391619490bc1b7a9de825b7ea1eb81c60c16e0
EBUILD mars-nwe-0.99_p24.ebuild 1088 BLAKE2B 6e93b600f3893f43f388834e5b55c9a2b7e2a7f8c7dbe4acfe41648511b36a21c3c7b0216a29e5d1f2336f335a7beef6d0a49d7c42162729c516271c9727cdc8 SHA512 9a17a4e3f3b93106d3c367ffa7fb11f27b7fa3f8f139aabbf58fcda10524d5705f603587f32d0686b969c193d41dda08b9edb4eb1b0b2f58a2a35085225e2391
MISC ChangeLog 1018 BLAKE2B 676fd6ef267c93d1c3c5c5fad0663b9fcb288b359f1d1b8c098a953d4c270b040ecd44cbcfd3b159aa60518650e0ca9c55416a8a3671a4fb8e952cf918113047 SHA512 a11d544772c9054211d5efbdac8822966b836091a32f626d6327fe0ca587ad3f2e3b0609a79040e4a2a1f66afb62daa360789d16520e9fd6fd1b08e03366b9f1
MISC metadata.xml 408 BLAKE2B 66a3e2838d5c5f95c7463733cd13b1230ef3ca005ec0c5dac797561be30f950da98dfa41eeb4d43cf97500c9a2e0d04c57b0b084d60107072a988dd7c4d16ded SHA512 9cac3e4a07c425e87274de776e03d243e462341168235cd3991ef4706aa1a902cf6591ae8e965b9c4ed370fc2ebef3ca805a9c761d05c4b994ae8667198b267c

View File

@ -1,69 +0,0 @@
--- mars_nwe-0.99.pl23/src/tools.c.orig 2013-11-05 11:16:48.000000000 +0100
+++ mars_nwe-0.99.pl23/src/tools.c 2022-11-03 12:39:31.800751433 +0100
@@ -21,27 +21,6 @@
#include <stdarg.h>
#include <syslog.h>
-#if 0
-#ifndef LINUX
- extern int _sys_nerr;
- extern char *_sys_errlist[];
-#else
-# ifndef __USE_GNU
-# define _sys_nerr sys_nerr
-# define _sys_errlist sys_errlist
-# endif
-#endif
-#else
-# ifndef __USE_GNU
-# ifdef FREEBSD
-# define _sys_nerr sys_nerr
-# define _sys_errlist sys_errlist
-# else
-extern int _sys_nerr;
-extern char *_sys_errlist[];
-# endif
-# endif
-#endif
int nw_debug=0;
uint32 debug_mask=0; /* special debug masks */
@@ -182,8 +161,7 @@
if (mode & 0x10) {
int l=sprintf(pb, ", errno=%d", errnum);
pb+=l;
- if (errnum > 0 && errnum < _sys_nerr)
- l=sprintf(pb, " (%s)", _sys_errlist[errnum]);
+ l=sprintf(pb, " (%s)", strerror(errnum));
}
if (!(mode & 2)) {
char identstr[200];
@@ -208,9 +186,8 @@
va_end(ap);
}
if (mode & 0x10) {
- fprintf(logfile, ", errno=%d", errnum);
- if (errnum > 0 && errnum < _sys_nerr)
- fprintf(logfile, " (%s)", _sys_errlist[errnum]);
+ fprintf(logfile, ", errno=%d", strerror(errnum));
+ fprintf(logfile, " (%s)", strerror(errnum));
}
if (!(mode & 2))
fprintf(logfile, "\n");
@@ -236,11 +213,11 @@
errnum = -1;
mode -= 10;
}
- if (errnum >= 0 && errnum < _sys_nerr) errstr = _sys_errlist[errnum];
- else if (errnum > -1)
- sprintf(errbuf, "errno=%d", errnum);
- else
- errbuf[0] = '\0';
+// if (errnum >= 0 && errnum < _sys_nerr) errstr = _sys_errlist[errnum];
+// else if (errnum > -1)
+ sprintf(errbuf, "errno=%d", strerror(errnum));
+// else
+// errbuf[0] = '\0';
if (use_syslog) {
int prio=(mode) ? LOG_CRIT : LOG_ERR;

View File

@ -1,4 +1,4 @@
#!/sbin/runscript
#!/sbin/openrc-run
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@ -8,18 +8,18 @@ depend() {
}
mkdir_marsnwedirs() {
[ -d /var/run/mars_nwe ] || mkdir -p /var/run/mars_nwe
[ -d /run/mars_nwe ] || mkdir -p /run/mars_nwe
}
start() {
ebegin "Starting Martin Stovers NetWare-Emulator"
mkdir_marsnwedirs
eval start-stop-daemon --start --quiet --exec /usr/sbin/nwserv --pidfile /var/run/mars_nwe/nwserv.pid
eval start-stop-daemon --start --quiet --exec /usr/sbin/nwserv --pidfile /run/mars_nwe/nwserv.pid
eend $?
}
stop() {
ebegin "Stopping Martin Stovers NetWare-Emulator"
start-stop-daemon --stop --quiet --pidfile /var/run/mars_nwe/nwserv.pid
start-stop-daemon --stop --quiet --pidfile /run/mars_nwe/nwserv.pid
eend $?
}

View File

@ -4,7 +4,7 @@ After=network.target
[Service]
Type=forking
PIDFile=/var/run/mars_nwe/nwserv.pid
PIDFile=/run/mars_nwe/nwserv.pid
ExecStart=/usr/sbin/nwserv
[Install]

View File

@ -1 +1 @@
d /var/run/mars_nwe 710 root root
d /run/mars_nwe 710 root root

View File

@ -6,11 +6,11 @@ EAPI=7
MY_PV=${PV/_p/.pl}
inherit systemd cmake
inherit systemd tmpfiles cmake
DESCRIPTION="MARtin Stovers NetWare-Emulator"
HOMEPAGE="http://www.compu-art.de/mars_nwe/"
SRC_URI="http://ftp.disconnected-by-peer.at/ncpfs/mars_nwe-${MY_PV}.tar.bz2"
SRC_URI="https://ftp.disconnected-by-peer.at/ncpfs/mars_nwe-${MY_PV}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
@ -19,18 +19,20 @@ IUSE=""
RDEPEND="sys-libs/glibc
sys-libs/gdbm
virtual/libcrypt
|| ( net-misc/ipx-utils net-fs/ncpfs )"
DEPEND="${RDEPEND}"
S="${WORKDIR}/mars_nwe-${MY_PV}"
PATCHES=(
"${FILESDIR}"/mars-nwe-syslog.patch
)
#PATCHES=(
# "${FILESDIR}"/mars-nwe-syslog.patch
#)
src_configure() {
local mycmakeargs=(
"-DCMAKE_INSTALL_SYSCONFDIR=/etc" )
"-DCMAKE_INSTALL_SYSCONFDIR=/etc"
"-DMARS_NWE_PID_DIR=/run/mars_nwe" )
cmake_src_configure
}
@ -45,6 +47,9 @@ src_install() {
newinitd "${FILESDIR}"/mars-nwe.initd mars-nwe
systemd_dounit "${FILESDIR}"/mars-nwe.service
systemd_newtmpfilesd "${FILESDIR}"/mars-nwe.tmpfilesd mars-nwe.conf
newtmpfiles "${FILESDIR}"/mars-nwe.tmpfilesd mars-nwe.conf
}
pkg_postinst() {
tmpfiles_process mars-nwe.conf
}

View File

@ -1 +1 @@
EBUILD ncpfs-modules-9999.ebuild 1046 BLAKE2B 06878aea0d7014477f3602cbc7165a212bbfebe880d51d09cc53f2da62e143867ff8205329d10be6ea5faedfc3f367f31834573dc619de58de579dec54df39f1 SHA512 ff60d02df4343034dc52c6042fabeefd348af1e3d741954c771a2daec4b5ab42345a69bc39d84e499f47f5dc8385cc072fa1d95cb4589e15e6e810b30b5c6daa
EBUILD ncpfs-modules-9999.ebuild 1110 BLAKE2B 4be0e25cae402ab2f8b39458fd1549b61c6d8cd5ae340cb79fe09bd23db059145dd6329de1db94daab969faa2afdbf08799b865653388ff245560bd1b4917ecd SHA512 8a359414f76949c4dc73e1052388676c54e750ccccd94be4db9542f354ab102ca1fdf6bb0ca5060f7ffa273c6f93e4e5a8cf4a55c287eb79d3645438f26bf7ec

View File

@ -38,6 +38,9 @@ src_unpack() {
EGIT_BRANCH="kernel_5.15"
fi
if kernel_is gt 5 19 0; then
EGIT_BRANCH="kernel_5.19"
fi
if kernel_is gt 6 3 0; then
EGIT_BRANCH="master"
fi

View File

@ -1,12 +1,2 @@
DIST teams-for-linux_1.0.49_amd64.deb 71631696 BLAKE2B d4d5c667e40bedd5636985de26acdd2561ed36d9e54d5034c8dc549b1a194ec569e89d109348aad930f7305f7d48f99052258b3d3f8df92ebb07c5d19baf12f1 SHA512 e517ba5fe7d24ad6da88ebe3f7f6bdf93a9bd3be2fd231770a3cafe5db588d2024bf98f93b8081e1922effafb918f88773ef865353cd7c23e0d11663ef72409b
DIST teams-for-linux_1.0.52_amd64.deb 71618068 BLAKE2B 9198b70dbca3da65a74bb7066a1886b88c96098bb9f2758a7eeec7979f282b56ecc50d2a8ef4e5b52ae6dfac63ce5f0141a2f6ea03c8584e1da45ea096775a83 SHA512 7d69d71086ea5d532474a4008f0b9f19629373f5f9dcac4ecfc7a3284f1e3758e46f3ca9079f4de2bade0dc4c663a452b188fa73b4e82aaff777edcb7d9664fd
DIST teams-for-linux_1.0.53_amd64.deb 71627500 BLAKE2B 7fd6e90a66adc0303de2da5d025fc7b5798063a1eb9cbbd5366bdc27ca973a315da218e259d4890cd9b5bff314aa8de1090bca1e0c0064e3073226ffcd7b6cbe SHA512 76bf66854a9cd87d8c2c9d6c1f8cf870d8e5f605dd193fb13deb49a2d685377700c31500d47341a1504ce2262f89a75ebd94bd5fd15053f61e56463029a3913c
DIST teams-for-linux_1.0.54_amd64.deb 71304288 BLAKE2B c8e4441c3d978c9545e67ccc410a866fb3abe2ac2eedf860fc2730e93857a265ec5ebae6e69407b876aa840f2d0c48ad9f97f28cfc9fbd3b21842e56c2ad9200 SHA512 69f6c191c8527f6c7bc62e40ca8703335db8e2085e83d21e1c534bace9c885d70c46a08f15ac0b09b0ea4d12a1d17ab2dfb7bb7b627d68ae0f400e12f7bf5752
DIST teams-for-linux_1.0.55_amd64.deb 71296948 BLAKE2B 20b7a03b08a765c0d4b73ebe45af13f19a25ff4f90b73639d98911aa97aad6618c9140cac80d38185702deb74995eddfaa53bf83f9dfaa85782e8715f99112ca SHA512 f1a6e05fdbe1393775bf9e0526945106ee52821e1abb05a9c99e3dd35a47535fcf805ce9e8c20ff0bf9df2da8fca3141838ec4851502c4e9aae8112e8f4a0cdd
DIST teams-for-linux_1.0.58_amd64.deb 71293910 BLAKE2B 9f03a8fd46877769949e1a8cb82b29f22f860f34fc93d2fe79fff551dd7d8c37c1abbc380462db95dc5a786721b7e55256dec53e7607e49497cca6976e780410 SHA512 1c4dccd696b141e940d02c4d64f7b89636ea61629046220ab6e658a6043bd69e9363462a08564390651e1603809a19215c9658249ce78810feb3e59a8ad21b2e
EBUILD teams-for-linux-1.0.49.ebuild 3387 BLAKE2B 9b228a9415840d9af66c04ed2b5ab574750352a4046e7177c7b5f5e2e98a1cc844359bf9eb42340902b70b709c00e8b073c0e2e87deac8197de11915cd442066 SHA512 e31460ec0cf447d6044ebbe4e9e74af7d412f550d6598b406d3524c1f3158f57e91a3f936e41a3cb03a96e7f26c2a626215cb064671d32afb4abc638255c5128
EBUILD teams-for-linux-1.0.52.ebuild 3387 BLAKE2B 9b228a9415840d9af66c04ed2b5ab574750352a4046e7177c7b5f5e2e98a1cc844359bf9eb42340902b70b709c00e8b073c0e2e87deac8197de11915cd442066 SHA512 e31460ec0cf447d6044ebbe4e9e74af7d412f550d6598b406d3524c1f3158f57e91a3f936e41a3cb03a96e7f26c2a626215cb064671d32afb4abc638255c5128
EBUILD teams-for-linux-1.0.53.ebuild 3387 BLAKE2B 9b228a9415840d9af66c04ed2b5ab574750352a4046e7177c7b5f5e2e98a1cc844359bf9eb42340902b70b709c00e8b073c0e2e87deac8197de11915cd442066 SHA512 e31460ec0cf447d6044ebbe4e9e74af7d412f550d6598b406d3524c1f3158f57e91a3f936e41a3cb03a96e7f26c2a626215cb064671d32afb4abc638255c5128
EBUILD teams-for-linux-1.0.54.ebuild 3387 BLAKE2B 9b228a9415840d9af66c04ed2b5ab574750352a4046e7177c7b5f5e2e98a1cc844359bf9eb42340902b70b709c00e8b073c0e2e87deac8197de11915cd442066 SHA512 e31460ec0cf447d6044ebbe4e9e74af7d412f550d6598b406d3524c1f3158f57e91a3f936e41a3cb03a96e7f26c2a626215cb064671d32afb4abc638255c5128
EBUILD teams-for-linux-1.0.55.ebuild 3387 BLAKE2B 9b228a9415840d9af66c04ed2b5ab574750352a4046e7177c7b5f5e2e98a1cc844359bf9eb42340902b70b709c00e8b073c0e2e87deac8197de11915cd442066 SHA512 e31460ec0cf447d6044ebbe4e9e74af7d412f550d6598b406d3524c1f3158f57e91a3f936e41a3cb03a96e7f26c2a626215cb064671d32afb4abc638255c5128
EBUILD teams-for-linux-1.0.58.ebuild 3387 BLAKE2B 9b228a9415840d9af66c04ed2b5ab574750352a4046e7177c7b5f5e2e98a1cc844359bf9eb42340902b70b709c00e8b073c0e2e87deac8197de11915cd442066 SHA512 e31460ec0cf447d6044ebbe4e9e74af7d412f550d6598b406d3524c1f3158f57e91a3f936e41a3cb03a96e7f26c2a626215cb064671d32afb4abc638255c5128
DIST teams-for-linux_1.1.8_amd64.deb 71405804 BLAKE2B b6d95bd2ed786381153433a3420c005cdb7234f829a7b1739174907e7a44ce1d1e11240202cc77a9b9b7a382476472e1f8cbf938eb22517f6af5a05383197b54 SHA512 f3ac45561e4a1ebd8b9487d1e0461d94181a2c31a74c125c44e9642331991e2aae0568406eabd7643490cc0c75034d3556250df3e160076404c20d6576cd82ff
EBUILD teams-for-linux-1.1.8.ebuild 3387 BLAKE2B 9b228a9415840d9af66c04ed2b5ab574750352a4046e7177c7b5f5e2e98a1cc844359bf9eb42340902b70b709c00e8b073c0e2e87deac8197de11915cd442066 SHA512 e31460ec0cf447d6044ebbe4e9e74af7d412f550d6598b406d3524c1f3158f57e91a3f936e41a3cb03a96e7f26c2a626215cb064671d32afb4abc638255c5128

View File

@ -1,108 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CHROMIUM_LANGS="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he
hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
sv sw ta te th tr uk vi zh-CN zh-TW"
inherit chromium-2 desktop unpacker xdg
DESCRIPTION="Unofficial Microsoft Teams, an Office 365 multimedia collaboration client"
HOMEPAGE="https://github.com/IsmaelMartinez/teams-for-linux/"
SRC_URI="https://github.com/IsmaelMartinez/${PN}/releases/download/v${PV}/${PN}_${PV}_amd64.deb"
LICENSE="ms-teams-pre"
SLOT="0"
KEYWORDS="-* ~amd64"
RESTRICT="bindist mirror splitdebug test"
#IUSE="swiftshader system-ffmpeg"
IUSE="system-ffmpeg"
QA_PREBUILT="*"
# libasound2 (>= 1.0.16), libatk-bridge2.0-0 (>= 2.5.3), libatk1.0-0 (>= 2.2.0), libatspi2.0-0 (>= 2.9.90), libc6 (>= 2.17), libcairo2 (>= 1.10.0)
# libcups2 (>= 1.7.0), libdrm2 (>= 2.4.38), libexpat1 (>= 2.0.1), libgbm1 (>= 17.1.0~rc2), libgcc1 (>= 1:3.0), libgdk-pixbuf2.0-0 (>= 2.22.0),
# libglib2.0-0 (>= 2.39.4), libgtk-3-0 (>= 3.19.12), libnspr4 (>= 2:4.9-2~), libnss3 (>= 2:3.22), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0),
# libx11-6 (>= 2:1.4.99.1), libx11-xcb1, libxcb-dri3-0, libxcb1 (>= 1.6), libxcomposite1 (>= 1:0.3-1), libxcursor1 (>> 1.1.2), libxdamage1 (>= 1:1.1),
# libxext6, libxfixes3, libxi6 (>= 2:1.2.99.4), libxrandr2, libxrender1, libxtst6, apt-transport-https, libfontconfig1 (>= 2.11.0), libdbus-1-3 (>= 1.6.18),
# libstdc++6 (>= 4.8.1)
RDEPEND="
|| (
>=app-accessibility/at-spi2-core-2.46.0:2
( app-accessibility/at-spi2-atk dev-libs/atk )
)
app-crypt/libsecret
dev-libs/expat
dev-libs/glib
dev-libs/nspr
dev-libs/nss
media-libs/alsa-lib
media-libs/fontconfig
media-libs/mesa[gbm(+)]
net-print/cups
sys-apps/dbus
sys-apps/util-linux
sys-libs/glibc
x11-libs/cairo
x11-libs/libdrm
x11-libs/gdk-pixbuf
x11-libs/gtk+:3
x11-libs/libX11
x11-libs/libXScrnSaver
x11-libs/libXcomposite
x11-libs/libXcursor
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXi
x11-libs/libXrandr
x11-libs/libXrender
x11-libs/libXtst
x11-libs/libxcb
x11-libs/libxkbfile
x11-libs/pango
system-ffmpeg? ( <media-video/ffmpeg-4.3[chromium] )
"
S="${WORKDIR}"
#src_prepare() {
# default
# sed -i '/OnlyShowIn=/d' usr/share/applications/${PN}.desktop || die
# sed -e "s@^TEAMS_PATH=.*@TEAMS_PATH=${EPREFIX}/opt/${PN}/${PN}@" \
# -i usr/bin/${PN} || die
#}
src_install() {
rm "opt/${PN}/chrome-sandbox" || die
insinto /opt
doins -r opt/${PN}
domenu usr/share/applications/${PN}.desktop
local res
for res in 16 32 256 512; do
newicon -s ${res} usr/share/icons/hicolor/${res}x${res}/apps/${PN}.png ${PN}.png
done
pushd "${ED}/opt/${PN}/locales" > /dev/null || die
chromium_remove_language_paks
popd > /dev/null || die
if use system-ffmpeg; then
rm "${ED}/opt/${PN}/libffmpeg.so" || die
dosym "../../usr/$(get_libdir)/chromium/libffmpeg.so" "opt/${PN}/libffmpeg.so" || die
elog "Using system ffmpeg. This is experimental and may lead to crashes."
fi
# if ! use swiftshader; then
# rm -r "${ED}/opt/${PN}/swiftshader" || die
# elog "Running without SwiftShader OpenGL implementation. If Teams doesn't start "
# elog "or you experience graphic issues, then try with USE=swiftshader enabled."
# fi
fperms +x /opt/${PN}/${PN}
}

View File

@ -1,108 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CHROMIUM_LANGS="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he
hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
sv sw ta te th tr uk vi zh-CN zh-TW"
inherit chromium-2 desktop unpacker xdg
DESCRIPTION="Unofficial Microsoft Teams, an Office 365 multimedia collaboration client"
HOMEPAGE="https://github.com/IsmaelMartinez/teams-for-linux/"
SRC_URI="https://github.com/IsmaelMartinez/${PN}/releases/download/v${PV}/${PN}_${PV}_amd64.deb"
LICENSE="ms-teams-pre"
SLOT="0"
KEYWORDS="-* ~amd64"
RESTRICT="bindist mirror splitdebug test"
#IUSE="swiftshader system-ffmpeg"
IUSE="system-ffmpeg"
QA_PREBUILT="*"
# libasound2 (>= 1.0.16), libatk-bridge2.0-0 (>= 2.5.3), libatk1.0-0 (>= 2.2.0), libatspi2.0-0 (>= 2.9.90), libc6 (>= 2.17), libcairo2 (>= 1.10.0)
# libcups2 (>= 1.7.0), libdrm2 (>= 2.4.38), libexpat1 (>= 2.0.1), libgbm1 (>= 17.1.0~rc2), libgcc1 (>= 1:3.0), libgdk-pixbuf2.0-0 (>= 2.22.0),
# libglib2.0-0 (>= 2.39.4), libgtk-3-0 (>= 3.19.12), libnspr4 (>= 2:4.9-2~), libnss3 (>= 2:3.22), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0),
# libx11-6 (>= 2:1.4.99.1), libx11-xcb1, libxcb-dri3-0, libxcb1 (>= 1.6), libxcomposite1 (>= 1:0.3-1), libxcursor1 (>> 1.1.2), libxdamage1 (>= 1:1.1),
# libxext6, libxfixes3, libxi6 (>= 2:1.2.99.4), libxrandr2, libxrender1, libxtst6, apt-transport-https, libfontconfig1 (>= 2.11.0), libdbus-1-3 (>= 1.6.18),
# libstdc++6 (>= 4.8.1)
RDEPEND="
|| (
>=app-accessibility/at-spi2-core-2.46.0:2
( app-accessibility/at-spi2-atk dev-libs/atk )
)
app-crypt/libsecret
dev-libs/expat
dev-libs/glib
dev-libs/nspr
dev-libs/nss
media-libs/alsa-lib
media-libs/fontconfig
media-libs/mesa[gbm(+)]
net-print/cups
sys-apps/dbus
sys-apps/util-linux
sys-libs/glibc
x11-libs/cairo
x11-libs/libdrm
x11-libs/gdk-pixbuf
x11-libs/gtk+:3
x11-libs/libX11
x11-libs/libXScrnSaver
x11-libs/libXcomposite
x11-libs/libXcursor
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXi
x11-libs/libXrandr
x11-libs/libXrender
x11-libs/libXtst
x11-libs/libxcb
x11-libs/libxkbfile
x11-libs/pango
system-ffmpeg? ( <media-video/ffmpeg-4.3[chromium] )
"
S="${WORKDIR}"
#src_prepare() {
# default
# sed -i '/OnlyShowIn=/d' usr/share/applications/${PN}.desktop || die
# sed -e "s@^TEAMS_PATH=.*@TEAMS_PATH=${EPREFIX}/opt/${PN}/${PN}@" \
# -i usr/bin/${PN} || die
#}
src_install() {
rm "opt/${PN}/chrome-sandbox" || die
insinto /opt
doins -r opt/${PN}
domenu usr/share/applications/${PN}.desktop
local res
for res in 16 32 256 512; do
newicon -s ${res} usr/share/icons/hicolor/${res}x${res}/apps/${PN}.png ${PN}.png
done
pushd "${ED}/opt/${PN}/locales" > /dev/null || die
chromium_remove_language_paks
popd > /dev/null || die
if use system-ffmpeg; then
rm "${ED}/opt/${PN}/libffmpeg.so" || die
dosym "../../usr/$(get_libdir)/chromium/libffmpeg.so" "opt/${PN}/libffmpeg.so" || die
elog "Using system ffmpeg. This is experimental and may lead to crashes."
fi
# if ! use swiftshader; then
# rm -r "${ED}/opt/${PN}/swiftshader" || die
# elog "Running without SwiftShader OpenGL implementation. If Teams doesn't start "
# elog "or you experience graphic issues, then try with USE=swiftshader enabled."
# fi
fperms +x /opt/${PN}/${PN}
}

View File

@ -1,108 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CHROMIUM_LANGS="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he
hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
sv sw ta te th tr uk vi zh-CN zh-TW"
inherit chromium-2 desktop unpacker xdg
DESCRIPTION="Unofficial Microsoft Teams, an Office 365 multimedia collaboration client"
HOMEPAGE="https://github.com/IsmaelMartinez/teams-for-linux/"
SRC_URI="https://github.com/IsmaelMartinez/${PN}/releases/download/v${PV}/${PN}_${PV}_amd64.deb"
LICENSE="ms-teams-pre"
SLOT="0"
KEYWORDS="-* ~amd64"
RESTRICT="bindist mirror splitdebug test"
#IUSE="swiftshader system-ffmpeg"
IUSE="system-ffmpeg"
QA_PREBUILT="*"
# libasound2 (>= 1.0.16), libatk-bridge2.0-0 (>= 2.5.3), libatk1.0-0 (>= 2.2.0), libatspi2.0-0 (>= 2.9.90), libc6 (>= 2.17), libcairo2 (>= 1.10.0)
# libcups2 (>= 1.7.0), libdrm2 (>= 2.4.38), libexpat1 (>= 2.0.1), libgbm1 (>= 17.1.0~rc2), libgcc1 (>= 1:3.0), libgdk-pixbuf2.0-0 (>= 2.22.0),
# libglib2.0-0 (>= 2.39.4), libgtk-3-0 (>= 3.19.12), libnspr4 (>= 2:4.9-2~), libnss3 (>= 2:3.22), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0),
# libx11-6 (>= 2:1.4.99.1), libx11-xcb1, libxcb-dri3-0, libxcb1 (>= 1.6), libxcomposite1 (>= 1:0.3-1), libxcursor1 (>> 1.1.2), libxdamage1 (>= 1:1.1),
# libxext6, libxfixes3, libxi6 (>= 2:1.2.99.4), libxrandr2, libxrender1, libxtst6, apt-transport-https, libfontconfig1 (>= 2.11.0), libdbus-1-3 (>= 1.6.18),
# libstdc++6 (>= 4.8.1)
RDEPEND="
|| (
>=app-accessibility/at-spi2-core-2.46.0:2
( app-accessibility/at-spi2-atk dev-libs/atk )
)
app-crypt/libsecret
dev-libs/expat
dev-libs/glib
dev-libs/nspr
dev-libs/nss
media-libs/alsa-lib
media-libs/fontconfig
media-libs/mesa[gbm(+)]
net-print/cups
sys-apps/dbus
sys-apps/util-linux
sys-libs/glibc
x11-libs/cairo
x11-libs/libdrm
x11-libs/gdk-pixbuf
x11-libs/gtk+:3
x11-libs/libX11
x11-libs/libXScrnSaver
x11-libs/libXcomposite
x11-libs/libXcursor
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXi
x11-libs/libXrandr
x11-libs/libXrender
x11-libs/libXtst
x11-libs/libxcb
x11-libs/libxkbfile
x11-libs/pango
system-ffmpeg? ( <media-video/ffmpeg-4.3[chromium] )
"
S="${WORKDIR}"
#src_prepare() {
# default
# sed -i '/OnlyShowIn=/d' usr/share/applications/${PN}.desktop || die
# sed -e "s@^TEAMS_PATH=.*@TEAMS_PATH=${EPREFIX}/opt/${PN}/${PN}@" \
# -i usr/bin/${PN} || die
#}
src_install() {
rm "opt/${PN}/chrome-sandbox" || die
insinto /opt
doins -r opt/${PN}
domenu usr/share/applications/${PN}.desktop
local res
for res in 16 32 256 512; do
newicon -s ${res} usr/share/icons/hicolor/${res}x${res}/apps/${PN}.png ${PN}.png
done
pushd "${ED}/opt/${PN}/locales" > /dev/null || die
chromium_remove_language_paks
popd > /dev/null || die
if use system-ffmpeg; then
rm "${ED}/opt/${PN}/libffmpeg.so" || die
dosym "../../usr/$(get_libdir)/chromium/libffmpeg.so" "opt/${PN}/libffmpeg.so" || die
elog "Using system ffmpeg. This is experimental and may lead to crashes."
fi
# if ! use swiftshader; then
# rm -r "${ED}/opt/${PN}/swiftshader" || die
# elog "Running without SwiftShader OpenGL implementation. If Teams doesn't start "
# elog "or you experience graphic issues, then try with USE=swiftshader enabled."
# fi
fperms +x /opt/${PN}/${PN}
}

View File

@ -1,108 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CHROMIUM_LANGS="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he
hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
sv sw ta te th tr uk vi zh-CN zh-TW"
inherit chromium-2 desktop unpacker xdg
DESCRIPTION="Unofficial Microsoft Teams, an Office 365 multimedia collaboration client"
HOMEPAGE="https://github.com/IsmaelMartinez/teams-for-linux/"
SRC_URI="https://github.com/IsmaelMartinez/${PN}/releases/download/v${PV}/${PN}_${PV}_amd64.deb"
LICENSE="ms-teams-pre"
SLOT="0"
KEYWORDS="-* ~amd64"
RESTRICT="bindist mirror splitdebug test"
#IUSE="swiftshader system-ffmpeg"
IUSE="system-ffmpeg"
QA_PREBUILT="*"
# libasound2 (>= 1.0.16), libatk-bridge2.0-0 (>= 2.5.3), libatk1.0-0 (>= 2.2.0), libatspi2.0-0 (>= 2.9.90), libc6 (>= 2.17), libcairo2 (>= 1.10.0)
# libcups2 (>= 1.7.0), libdrm2 (>= 2.4.38), libexpat1 (>= 2.0.1), libgbm1 (>= 17.1.0~rc2), libgcc1 (>= 1:3.0), libgdk-pixbuf2.0-0 (>= 2.22.0),
# libglib2.0-0 (>= 2.39.4), libgtk-3-0 (>= 3.19.12), libnspr4 (>= 2:4.9-2~), libnss3 (>= 2:3.22), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0),
# libx11-6 (>= 2:1.4.99.1), libx11-xcb1, libxcb-dri3-0, libxcb1 (>= 1.6), libxcomposite1 (>= 1:0.3-1), libxcursor1 (>> 1.1.2), libxdamage1 (>= 1:1.1),
# libxext6, libxfixes3, libxi6 (>= 2:1.2.99.4), libxrandr2, libxrender1, libxtst6, apt-transport-https, libfontconfig1 (>= 2.11.0), libdbus-1-3 (>= 1.6.18),
# libstdc++6 (>= 4.8.1)
RDEPEND="
|| (
>=app-accessibility/at-spi2-core-2.46.0:2
( app-accessibility/at-spi2-atk dev-libs/atk )
)
app-crypt/libsecret
dev-libs/expat
dev-libs/glib
dev-libs/nspr
dev-libs/nss
media-libs/alsa-lib
media-libs/fontconfig
media-libs/mesa[gbm(+)]
net-print/cups
sys-apps/dbus
sys-apps/util-linux
sys-libs/glibc
x11-libs/cairo
x11-libs/libdrm
x11-libs/gdk-pixbuf
x11-libs/gtk+:3
x11-libs/libX11
x11-libs/libXScrnSaver
x11-libs/libXcomposite
x11-libs/libXcursor
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXi
x11-libs/libXrandr
x11-libs/libXrender
x11-libs/libXtst
x11-libs/libxcb
x11-libs/libxkbfile
x11-libs/pango
system-ffmpeg? ( <media-video/ffmpeg-4.3[chromium] )
"
S="${WORKDIR}"
#src_prepare() {
# default
# sed -i '/OnlyShowIn=/d' usr/share/applications/${PN}.desktop || die
# sed -e "s@^TEAMS_PATH=.*@TEAMS_PATH=${EPREFIX}/opt/${PN}/${PN}@" \
# -i usr/bin/${PN} || die
#}
src_install() {
rm "opt/${PN}/chrome-sandbox" || die
insinto /opt
doins -r opt/${PN}
domenu usr/share/applications/${PN}.desktop
local res
for res in 16 32 256 512; do
newicon -s ${res} usr/share/icons/hicolor/${res}x${res}/apps/${PN}.png ${PN}.png
done
pushd "${ED}/opt/${PN}/locales" > /dev/null || die
chromium_remove_language_paks
popd > /dev/null || die
if use system-ffmpeg; then
rm "${ED}/opt/${PN}/libffmpeg.so" || die
dosym "../../usr/$(get_libdir)/chromium/libffmpeg.so" "opt/${PN}/libffmpeg.so" || die
elog "Using system ffmpeg. This is experimental and may lead to crashes."
fi
# if ! use swiftshader; then
# rm -r "${ED}/opt/${PN}/swiftshader" || die
# elog "Running without SwiftShader OpenGL implementation. If Teams doesn't start "
# elog "or you experience graphic issues, then try with USE=swiftshader enabled."
# fi
fperms +x /opt/${PN}/${PN}
}

View File

@ -1,108 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CHROMIUM_LANGS="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he
hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
sv sw ta te th tr uk vi zh-CN zh-TW"
inherit chromium-2 desktop unpacker xdg
DESCRIPTION="Unofficial Microsoft Teams, an Office 365 multimedia collaboration client"
HOMEPAGE="https://github.com/IsmaelMartinez/teams-for-linux/"
SRC_URI="https://github.com/IsmaelMartinez/${PN}/releases/download/v${PV}/${PN}_${PV}_amd64.deb"
LICENSE="ms-teams-pre"
SLOT="0"
KEYWORDS="-* ~amd64"
RESTRICT="bindist mirror splitdebug test"
#IUSE="swiftshader system-ffmpeg"
IUSE="system-ffmpeg"
QA_PREBUILT="*"
# libasound2 (>= 1.0.16), libatk-bridge2.0-0 (>= 2.5.3), libatk1.0-0 (>= 2.2.0), libatspi2.0-0 (>= 2.9.90), libc6 (>= 2.17), libcairo2 (>= 1.10.0)
# libcups2 (>= 1.7.0), libdrm2 (>= 2.4.38), libexpat1 (>= 2.0.1), libgbm1 (>= 17.1.0~rc2), libgcc1 (>= 1:3.0), libgdk-pixbuf2.0-0 (>= 2.22.0),
# libglib2.0-0 (>= 2.39.4), libgtk-3-0 (>= 3.19.12), libnspr4 (>= 2:4.9-2~), libnss3 (>= 2:3.22), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0),
# libx11-6 (>= 2:1.4.99.1), libx11-xcb1, libxcb-dri3-0, libxcb1 (>= 1.6), libxcomposite1 (>= 1:0.3-1), libxcursor1 (>> 1.1.2), libxdamage1 (>= 1:1.1),
# libxext6, libxfixes3, libxi6 (>= 2:1.2.99.4), libxrandr2, libxrender1, libxtst6, apt-transport-https, libfontconfig1 (>= 2.11.0), libdbus-1-3 (>= 1.6.18),
# libstdc++6 (>= 4.8.1)
RDEPEND="
|| (
>=app-accessibility/at-spi2-core-2.46.0:2
( app-accessibility/at-spi2-atk dev-libs/atk )
)
app-crypt/libsecret
dev-libs/expat
dev-libs/glib
dev-libs/nspr
dev-libs/nss
media-libs/alsa-lib
media-libs/fontconfig
media-libs/mesa[gbm(+)]
net-print/cups
sys-apps/dbus
sys-apps/util-linux
sys-libs/glibc
x11-libs/cairo
x11-libs/libdrm
x11-libs/gdk-pixbuf
x11-libs/gtk+:3
x11-libs/libX11
x11-libs/libXScrnSaver
x11-libs/libXcomposite
x11-libs/libXcursor
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXi
x11-libs/libXrandr
x11-libs/libXrender
x11-libs/libXtst
x11-libs/libxcb
x11-libs/libxkbfile
x11-libs/pango
system-ffmpeg? ( <media-video/ffmpeg-4.3[chromium] )
"
S="${WORKDIR}"
#src_prepare() {
# default
# sed -i '/OnlyShowIn=/d' usr/share/applications/${PN}.desktop || die
# sed -e "s@^TEAMS_PATH=.*@TEAMS_PATH=${EPREFIX}/opt/${PN}/${PN}@" \
# -i usr/bin/${PN} || die
#}
src_install() {
rm "opt/${PN}/chrome-sandbox" || die
insinto /opt
doins -r opt/${PN}
domenu usr/share/applications/${PN}.desktop
local res
for res in 16 32 256 512; do
newicon -s ${res} usr/share/icons/hicolor/${res}x${res}/apps/${PN}.png ${PN}.png
done
pushd "${ED}/opt/${PN}/locales" > /dev/null || die
chromium_remove_language_paks
popd > /dev/null || die
if use system-ffmpeg; then
rm "${ED}/opt/${PN}/libffmpeg.so" || die
dosym "../../usr/$(get_libdir)/chromium/libffmpeg.so" "opt/${PN}/libffmpeg.so" || die
elog "Using system ffmpeg. This is experimental and may lead to crashes."
fi
# if ! use swiftshader; then
# rm -r "${ED}/opt/${PN}/swiftshader" || die
# elog "Running without SwiftShader OpenGL implementation. If Teams doesn't start "
# elog "or you experience graphic issues, then try with USE=swiftshader enabled."
# fi
fperms +x /opt/${PN}/${PN}
}

View File

@ -1,11 +1,14 @@
DIST RASClient-19.0.23304_x86_64.tar.bz2 28644903 BLAKE2B 41f77a59774548601deb181570ee679269d8d540cfaac9598cdd39126b256778e50d71393d4deac44720efb04898f6cd9d0e14c29c0f0e1e3c84e44f9a58dfff SHA512 164380b6ec4627d1be85e798b71c3e4b865163eef65384d6dad46c03ba849ea5faf80ab53f35fd40b8d598a04ea9c5d7ebbde48af7c9559ccb26889fb8d7abad
DIST RASClient-19.1.23468_x86_64.tar.bz2 28745160 BLAKE2B 4ecb72d35628c6bfb73253d2382b2979f1cb5f28ed9a1abca26f2a9d88f7d0e576f7becec90535827c042dccfc782b8d70042913cd029ac3fcfca521d79e2e2d SHA512 0d00bcf026e0e663b79043e08949ca64442e114d0f31a3c984dd4be91c1b908f906bab47edae124d83bf7a1c46961b840fcdba66490fa46259ee8c8f29504b10
DIST RASClient-19.1.23476_x86_64.tar.bz2 28748749 BLAKE2B cb8c5f55e1677447fe61976748058fd37f8c60eaef83dbf6d68831d9f629a0fa5eb9f82de1348f306dfbfa9e2955be463c0b23b03b1ab24a865d47d34d40cf57 SHA512 e771963f4064b62417614462e1d30dd900cfa85b0da8a0020c8360c60f9d5ca1b506796444b894173b71e67b9889a93915b2d9c3e28ce8e57ed1c82db0e5eafe
DIST RASClient-19.2.23906_x86_64.tar.bz2 28839787 BLAKE2B c82a527ba9c07ad79c638523a6a67ff5e8acc2264ce25bfd1ef7f30ff6ab7be0c4f3f399f463835c61368a3fab007d1d210f000a490aac064ca089ae457d9208 SHA512 8113b864ad74e569feaed4b76039df9709b5641c253cdf4f3c47243d8f47a6aa762b44020396b5ace66e5aa1a96a482a78a2aab97ca4cfafea10e09a0c9e7911
DIST RASClient-sso-19.0.23304_x86_64.tar.bz2 9312 BLAKE2B 77c696b40d76e85eeb3c6efa5c39348109ddee090aa63512fcd716c2c5d7933b40af4833c350cb239ef58380bc7bd54a78bfe54d2b3699c019940cc150b19a54 SHA512 24b016b16c768937505978058feea797ed99298c275c6339e978c868c4c329963eda786e132848350b5ff88fba0d6c640aa0a40daff151d6c430aec12cebe1cf
DIST RASClient-sso-19.1.23468_x86_64.tar.bz2 9305 BLAKE2B 354bec4e6b18bf78e4038756f7722dc0279760ad71d1530fc92dea47be17ae88698f1553c2cf4a53e39fa674f83af552b8b2d3d7a7c371f24a45908716d1b684 SHA512 4178de5bb068f9c0fa1c6fcc40711f28f7a285b834fa9102282e037979b563b79d255ad1b3a02053abd98aed53b137669ea96e356ea8871be94119ed2167ff68
DIST RASClient-sso-19.1.23476_x86_64.tar.bz2 9311 BLAKE2B 710c6e7435d6aefd1c224e7a86ce1d92da3cf056378ea8a76f5c8a826763ee8e7cdcd397f9071eb8533cbe272b2e6cf63dffcf11dacda1b1d29ae723e4588fd2 SHA512 52c44d290de4c8650dc09b38c38e2f84a6d7d8e7d55c9415e5e1d8adbb6b9938e31c13b40952b70434539358a8ec73a9121881bd26860e6554719bfd5cc4f3e9
DIST RASClient-sso-19.2.23906_x86_64.tar.bz2 9304 BLAKE2B c370711fde4a679bb87b8b244ea5f6052c8bc2b0c30ff50e1e1d42eec9d0bb0dea6eb8f2998cc27ace324b17ee1e66df4cb7eb5a280d7afc55dd8a31a31494e3 SHA512 96b2304ff5f3da9d0077d1c7b1e60f01d99d6d662128c8fb5dc46dd3b70fb156bbf30c932cdbf385ad8f25e1b09392b2a34736e023b3f3e7cc6ed23d2d700936
EBUILD rasclient-19.0.0.23304.ebuild 2093 BLAKE2B 57054fd2fd385169a707ba2df4ca20f8be1b71ca668ec1b4cb3a8cb478bba3157460218cfe354f473e9cbaf13290012e5b3c38ecdb44752557f2db5b88481c1e SHA512 d22aeb4ce7e88505faa5e314b2a7f317bcb8315b6aefcd48b43dd6df51093008b19960926d783ba131e60a6952be2705f75bca1a658c5fd69f0c8c7f0b318335
EBUILD rasclient-19.1.0.23468.ebuild 2093 BLAKE2B 57054fd2fd385169a707ba2df4ca20f8be1b71ca668ec1b4cb3a8cb478bba3157460218cfe354f473e9cbaf13290012e5b3c38ecdb44752557f2db5b88481c1e SHA512 d22aeb4ce7e88505faa5e314b2a7f317bcb8315b6aefcd48b43dd6df51093008b19960926d783ba131e60a6952be2705f75bca1a658c5fd69f0c8c7f0b318335
EBUILD rasclient-19.1.1.23476.ebuild 2093 BLAKE2B 57054fd2fd385169a707ba2df4ca20f8be1b71ca668ec1b4cb3a8cb478bba3157460218cfe354f473e9cbaf13290012e5b3c38ecdb44752557f2db5b88481c1e SHA512 d22aeb4ce7e88505faa5e314b2a7f317bcb8315b6aefcd48b43dd6df51093008b19960926d783ba131e60a6952be2705f75bca1a658c5fd69f0c8c7f0b318335
EBUILD rasclient-19.2.0.23906.ebuild 2093 BLAKE2B 57054fd2fd385169a707ba2df4ca20f8be1b71ca668ec1b4cb3a8cb478bba3157460218cfe354f473e9cbaf13290012e5b3c38ecdb44752557f2db5b88481c1e SHA512 d22aeb4ce7e88505faa5e314b2a7f317bcb8315b6aefcd48b43dd6df51093008b19960926d783ba131e60a6952be2705f75bca1a658c5fd69f0c8c7f0b318335
MISC ChangeLog 385 BLAKE2B ebe7cc81e97a7c49bd6dc63e83c4701deb3fa3cc665ae2c0c231e7d4dc79ce3a490e325dd57f962fa74b097fa3fb076ebafd6b0a3fc57d985fe6e16fc4cfc7a5 SHA512 eefdb08d4f09532d35752696b1ac758520ae01f5dca8f44fc63dbd1c7cfb3d83f7f03a32db69c051517ac36b16b9298727fc95d85b188ea336760652fb92305f
MISC metadata.xml 408 BLAKE2B 66a3e2838d5c5f95c7463733cd13b1230ef3ca005ec0c5dac797561be30f950da98dfa41eeb4d43cf97500c9a2e0d04c57b0b084d60107072a988dd7c4d16ded SHA512 9cac3e4a07c425e87274de776e03d243e462341168235cd3991ef4706aa1a902cf6591ae8e965b9c4ed370fc2ebef3ca805a9c761d05c4b994ae8667198b267c

View File

@ -1,8 +1,4 @@
DIST RemoteDesktopManager_2022.3.0.8_amd64.deb 163403232 BLAKE2B 685b3985a2c97275f6feb4ab66f97486d0e9d4e3b6f937934ae9e2be952554a666616a332dd5a0886a4ce86d15d1bacfc9bfe3ce053d76468c326f0f24e887a5 SHA512 431f27927abd5c32f645d5d47917083ee039878fd3b54992ce6429de9e135835cff630238002d6134fd84ecb23c47fe0536067e0f392f98e585ed834716bfe22
DIST RemoteDesktopManager_2023.1.0.3_amd64.deb 196774640 BLAKE2B 7a6dd3dc02f13c1e5443e02dfee66aa99fecdd0c80cd06ddf4c91e1970b369f9b754d6cec23f7c5637f7d8f3851940e91d9f92224e142e5cf6146df16dbfda3f SHA512 be02df55ec54223af0d93e61a87342ebe6843bb489447cf27b0e2f423e4280cd4485cb98be1374cae0bd26b5a0ac487f579d44c731b2d76d863a068af4174db8
DIST RemoteDesktopManager_2023.1.0.4_amd64.deb 176039816 BLAKE2B e953d15a87499dcc66101a4a672bf2ed06e62360ee020df2ae191ef2de50a9b54df929c9e84dbf67486ace3d4d564a69b6b999cc9ea8343194691cc34b8b81ec SHA512 86189a9639016b1c482c131c7d44fcec285bb6c08d58e9cafcdd1e88bf6fb51a308ec4bdcc7bff8548a193d589bd5492601d27f42ecaeb027ed7989edfb171b7
EBUILD remotedesktopmanager-2022.3.0.8.ebuild 1255 BLAKE2B c60bd29885c0d26c43315aa54fe00f721c86364ed3f8e061dd9a3fe040680c6b3f252262ea209cb2e32221e630e74bc910e4308a1eaaa6c82e17d0bb3d45024b SHA512 4ca7cdfdfcea791a890b182f1e1460e20b6cc5c76a5cf165b43df675d77722123aa03c9ff7b544665f7cb98478c307077a114cdab6ed3e8f09a754231fa2eb58
EBUILD remotedesktopmanager-2023.1.0.3.ebuild 1255 BLAKE2B c60bd29885c0d26c43315aa54fe00f721c86364ed3f8e061dd9a3fe040680c6b3f252262ea209cb2e32221e630e74bc910e4308a1eaaa6c82e17d0bb3d45024b SHA512 4ca7cdfdfcea791a890b182f1e1460e20b6cc5c76a5cf165b43df675d77722123aa03c9ff7b544665f7cb98478c307077a114cdab6ed3e8f09a754231fa2eb58
EBUILD remotedesktopmanager-2023.1.0.4.ebuild 1255 BLAKE2B c60bd29885c0d26c43315aa54fe00f721c86364ed3f8e061dd9a3fe040680c6b3f252262ea209cb2e32221e630e74bc910e4308a1eaaa6c82e17d0bb3d45024b SHA512 4ca7cdfdfcea791a890b182f1e1460e20b6cc5c76a5cf165b43df675d77722123aa03c9ff7b544665f7cb98478c307077a114cdab6ed3e8f09a754231fa2eb58
DIST RemoteDesktopManager_2023.1.1.3_amd64.deb 185717760 BLAKE2B 74bf90af282eef954c910662abdd4d198de3a7929268399ed1557a2dbb301c7c8722501e448760ef9f3c0f7941c96bd1c1a81b46068d1bea6de2572859c90839 SHA512 b439d37a6526fbf40c37897df247a7c799f3c0b8decbd933b7ffa6b724af2752bb6ef6153f19d4eb199a0ff0f981114ef3060525956839ac0b8b1b4e35fea37a
EBUILD remotedesktopmanager-2023.1.1.3.ebuild 1255 BLAKE2B c60bd29885c0d26c43315aa54fe00f721c86364ed3f8e061dd9a3fe040680c6b3f252262ea209cb2e32221e630e74bc910e4308a1eaaa6c82e17d0bb3d45024b SHA512 4ca7cdfdfcea791a890b182f1e1460e20b6cc5c76a5cf165b43df675d77722123aa03c9ff7b544665f7cb98478c307077a114cdab6ed3e8f09a754231fa2eb58
MISC ChangeLog 889 BLAKE2B 216bbbfe9b264ef06f5b56748af1ea7366fa49f2406604264b7d22ce8f464ffd7491a57912d7cf1be7d3dc030578960acca895236d6e06fd017f02a9138f0b7f SHA512 09aa97933a9709827b6e3c01ce8a3829cb3d494f7fdac570faa30da6fac440c752391d8dcaf7d03c5cd1163686e8921c1bf4ad75827e4b8df05bbcde03548488
MISC metadata.xml 408 BLAKE2B 66a3e2838d5c5f95c7463733cd13b1230ef3ca005ec0c5dac797561be30f950da98dfa41eeb4d43cf97500c9a2e0d04c57b0b084d60107072a988dd7c4d16ded SHA512 9cac3e4a07c425e87274de776e03d243e462341168235cd3991ef4706aa1a902cf6591ae8e965b9c4ed370fc2ebef3ca805a9c761d05c4b994ae8667198b267c

View File

@ -1,48 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils unpacker pam
DESCRIPTION="Remote DesktopManager"
HOMEPAGE="https://remotedesktopmanager.com"
#SRC_URI="https://cdn.devolutions.net/download/Linux/RDM/${PV}/RemoteDesktopManager.Free_${PV}_amd64.deb"
SRC_URI="https://cdn.devolutions.net/download/Linux/RDM/${PV}/RemoteDesktopManager_${PV}_amd64.deb"
LICENSE="Devolution"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RESTRICT="strip mirror test"
DEPEND="|| ( sys-devel/base-gcc sys-devel/gcc )
sys-apps/dbus
sys-apps/systemd
sys-libs/glibc
sys-libs/pam"
RDEPEND="${DEPEND}"
S=${WORKDIR}
src_unpack() {
unpack_deb ${A}
}
src_install() {
dodir /opt/devolutions/RemoteDesktopManager
cp -aR usr/lib/devolutions/RemoteDesktopManager/* "${D}/opt/devolutions/RemoteDesktopManager"
dodir /opt/bin
sed -e 's!usr/lib!opt!g' bin/remotedesktopmanager > "${D}/opt/bin/remotedesktopmanager"
chmod +x "${D}/opt/bin/remotedesktopmanager"
dodir /usr/share/applications
sed -e "s!usr/lib!opt!g" usr/share/applications/remotedesktopmanager.desktop > "${D}/usr/share/applications/remotedesktopmanager.desktop"
dodir /usr/share/icons
cp -aR usr/share/icons/* "${D}/usr/share/icons"
}

View File

@ -1,48 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils unpacker pam
DESCRIPTION="Remote DesktopManager"
HOMEPAGE="https://remotedesktopmanager.com"
#SRC_URI="https://cdn.devolutions.net/download/Linux/RDM/${PV}/RemoteDesktopManager.Free_${PV}_amd64.deb"
SRC_URI="https://cdn.devolutions.net/download/Linux/RDM/${PV}/RemoteDesktopManager_${PV}_amd64.deb"
LICENSE="Devolution"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RESTRICT="strip mirror test"
DEPEND="|| ( sys-devel/base-gcc sys-devel/gcc )
sys-apps/dbus
sys-apps/systemd
sys-libs/glibc
sys-libs/pam"
RDEPEND="${DEPEND}"
S=${WORKDIR}
src_unpack() {
unpack_deb ${A}
}
src_install() {
dodir /opt/devolutions/RemoteDesktopManager
cp -aR usr/lib/devolutions/RemoteDesktopManager/* "${D}/opt/devolutions/RemoteDesktopManager"
dodir /opt/bin
sed -e 's!usr/lib!opt!g' bin/remotedesktopmanager > "${D}/opt/bin/remotedesktopmanager"
chmod +x "${D}/opt/bin/remotedesktopmanager"
dodir /usr/share/applications
sed -e "s!usr/lib!opt!g" usr/share/applications/remotedesktopmanager.desktop > "${D}/usr/share/applications/remotedesktopmanager.desktop"
dodir /usr/share/icons
cp -aR usr/share/icons/* "${D}/usr/share/icons"
}

View File

@ -1,6 +0,0 @@
DIST hplip-3.22.10.tar.gz 29333247 BLAKE2B 484f470cb1ca639f6bbfa380230e94d8d219c2bc65a145e410e0be6c47ac82e7ac177d5d12a1ef9401682da2db6c7eba97424c2b2f9a2435b17f3a9ab4114e83 SHA512 0be9cd48cddebffb2472f36669ba92edbcf9019cb3b561a9630457949a6e6f13eab552582027b02468b4732e376f17321929502ad4d1f6bb4d5ea1262b171ef7
DIST hplip-3.22.6-patches-1.tar.xz 17948 BLAKE2B ab6f0482dfebba2a1974cf6adb8037846a7e8990f15a74641af4db73d363b02d7c37baf958a8a9e83eebfc8bcccd058959c3cee448a832b26fd8a2097614c4fd SHA512 a6e3921d15ab75386f71a5e4a1aab48a014279cffd5141b152a7c1e985c7685892fd555eeb5578ab5f266ce8763c98d30d4630c3ec69ba1209a9856d6d5b0ead
DIST hplip-3.22.6.tar.gz 29331408 BLAKE2B 7f2bc09ab2d7950d8e84b4c23d35fd5370ddc51d1d61c674fad0ce1667f8ecf9c25e0b57c155b688d932db583d3c6af528da86348ebe64ce8da9c8d051b2be34 SHA512 cb25c07c767d3d8921468429ef154401a4df9d2fdf87ead3ab18f0d06e1bd3de610843b8131641a1af8d920c7e15e290a0923405bf609cdc0a3fba9df93ddb5e
EBUILD hplip-3.22.10.ebuild 8241 BLAKE2B 159075ad8d3b22f60bc0aa24f51174607d16b48ec16e472f66729384593daa235a2a8580a94a9d9b3a47cf373dc9403133349b43cb4ce654321cea4a85fe845d SHA512 cc6abcdde4b6acfd397c0b5b10358aa972294427edfaea0530766c3b3dc9ddb4ffab946e4513fc6a5806fdd4255a1356b301602fe20cc561e2f1907386f36b89
EBUILD hplip-3.22.6.ebuild 8241 BLAKE2B 159075ad8d3b22f60bc0aa24f51174607d16b48ec16e472f66729384593daa235a2a8580a94a9d9b3a47cf373dc9403133349b43cb4ce654321cea4a85fe845d SHA512 cc6abcdde4b6acfd397c0b5b10358aa972294427edfaea0530766c3b3dc9ddb4ffab946e4513fc6a5806fdd4255a1356b301602fe20cc561e2f1907386f36b89
MISC metadata.xml 1849 BLAKE2B 381cc0d0fe08d072487850a5f5ac6e264cb4ee5db8722b6f83ad9d4e6e78948a7768e80ea2a8a2313bdca1029b59a02d8c3ca309d9438d5e4d63585f7a6b2a83 SHA512 0f5f42b561099e943d99dc5e50cfd42577582b31590c0cd98f276e5acc364fb31f4a48cf91b33e923d24daa77b7b3a6bc54a0c24d9ebff9e3ec82c957a5671e3

View File

@ -1,290 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9,10,11} )
PYTHON_REQ_USE="threads(+),xml(+)"
inherit autotools linux-info python-single-r1 readme.gentoo-r1 udev
DESCRIPTION="HP Linux Imaging and Printing - Print, scan, fax drivers and service tools"
HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing"
SRC_URI="mirror://sourceforge/hplip/${P}.tar.gz
https://dev.gentoo.org/~billie/distfiles/${PN}-3.22.6-patches-1.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm arm64 ppc ppc64 x86"
IUSE="doc fax +hpcups hpijs kde libnotify libusb0 minimal parport policykit qt5 scanner +snmp static-ppds X"
COMMON_DEPEND="
net-print/cups
sys-apps/dbus
virtual/jpeg:0
hpijs? ( net-print/cups-filters[foomatic] )
!libusb0? ( virtual/libusb:1 )
libusb0? ( virtual/libusb:0 )
${PYTHON_DEPS}
!minimal? (
scanner? (
media-gfx/sane-backends
)
snmp? (
dev-libs/openssl:0=
net-analyzer/net-snmp:=
net-dns/avahi[dbus,python,${PYTHON_SINGLE_USEDEP}]
)
)
"
BDEPEND="
virtual/pkgconfig
"
DEPEND="
${COMMON_DEPEND}
"
RDEPEND="
${COMMON_DEPEND}
app-text/ghostscript-gpl
!minimal? (
$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]' 'python3*')
kernel_linux? ( virtual/udev )
$(python_gen_cond_dep '
>=dev-python/dbus-python-1.2.0-r1[${PYTHON_USEDEP}]
dev-python/distro[${PYTHON_USEDEP}]
fax? ( dev-python/reportlab[${PYTHON_USEDEP}] )
qt5? (
>=dev-python/PyQt5-5.5.1[dbus,gui,widgets,${PYTHON_USEDEP}]
libnotify? ( dev-python/notify2[${PYTHON_USEDEP}] )
)
scanner? (
>=dev-python/reportlab-3.2[${PYTHON_USEDEP}]
>=dev-python/pillow-3.1.1[${PYTHON_USEDEP}]
X? (
|| (
kde? ( kde-misc/skanlite )
media-gfx/xsane
media-gfx/sane-frontends
)
)
)
')
)
policykit? ( sys-auth/polkit )
"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
PATCHES=(
"${WORKDIR}/patches"
)
CONFIG_CHECK="~PARPORT ~PPDEV"
ERROR_PARPORT="Please make sure kernel parallel port support is enabled (PARPORT and PPDEV)."
#DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="
For more information on setting up your printer please take
a look at the hplip section of the gentoo printing guide:
https://wiki.gentoo.org/wiki/Printing
"
pkg_setup() {
python-single-r1_pkg_setup
use scanner && ! use X && ewarn "You need USE=X for the scanner GUI."
use parport && linux-info_pkg_setup
if use minimal ; then
ewarn "Installing driver portions only, make sure you know what you are doing."
ewarn "Depending on the USE flags set for hpcups or hpijs the appropiate driver"
ewarn "is installed. If both USE flags are set hpijs overrides hpcups."
ewarn "This also disables fax, network, scanner and gui support!"
fi
if ! use hpcups && ! use hpijs ; then
ewarn "Installing neither hpcups (USE=-hpcups) nor hpijs (USE=-hpijs) driver,"
ewarn "which is probably not what you want."
ewarn "You will almost certainly not be able to print."
fi
}
src_prepare() {
default
python_fix_shebang .
# Make desktop files follow the specification
# Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=443680
# Upstream bug: https://bugs.launchpad.net/hplip/+bug/1080324
sed -i -e '/^Categories=/s/Application;//' \
-e '/^Encoding=.*/d' hplip.desktop.in || die
sed -i -e '/^Categories=/s/Application;//' \
-e '/^Version=.*/d' \
-e '/^Comment=.*/d' hplip-systray.desktop.in || die
# Fix for Gentoo bug https://bugs.gentoo.org/show_bug.cgi?id=345725
# Upstream bug: https://bugs.launchpad.net/hplip/+bug/880847,
# https://bugs.launchpad.net/hplip/+bug/500086
local udevdir=$(get_udevdir)
sed -i -e "s|/etc/udev|${udevdir}|g" \
$(find . -type f -exec grep -l /etc/udev {} +) || die
# Force recognition of Gentoo distro by hp-check
sed -i \
-e "s:file('/etc/issue', 'r').read():'Gentoo':" \
installer/core_install.py || die
eautoreconf
}
src_configure() {
local drv_build minimal_build
if use hpcups ; then
drv_build="$(use_enable hpcups hpcups-install)"
if use static-ppds ; then
drv_build="${drv_build} --enable-cups-ppd-install"
drv_build="${drv_build} --disable-cups-drv-install"
else
drv_build="${drv_build} --enable-cups-drv-install"
drv_build="${drv_build} --disable-cups-ppd-install"
fi
else
drv_build="--disable-hpcups-install"
drv_build="${drv_build} --disable-cups-drv-install"
drv_build="${drv_build} --disable-cups-ppd-install"
fi
if use hpijs ; then
drv_build="${drv_build} $(use_enable hpijs hpijs-install)"
if use static-ppds ; then
drv_build="${drv_build} --enable-foomatic-ppd-install"
drv_build="${drv_build} --disable-foomatic-drv-install"
else
drv_build="${drv_build} --enable-foomatic-drv-install"
drv_build="${drv_build} --disable-foomatic-ppd-install"
fi
else
drv_build="${drv_build} --disable-hpijs-install"
drv_build="${drv_build} --disable-foomatic-drv-install"
drv_build="${drv_build} --disable-foomatic-ppd-install"
fi
if use minimal ; then
if use hpijs ; then
minimal_build="--enable-hpijs-only-build"
else
minimal_build="--disable-hpijs-only-build"
fi
if use hpcups ; then
minimal_build="${minimal_build} --enable-hpcups-only-build"
else
minimal_build="${minimal_build} --disable-hpcups-only-build"
fi
minimal_build="${minimal_build} --disable-fax-build"
minimal_build="${minimal_build} --disable-network-build"
minimal_build="${minimal_build} --disable-scan-build"
minimal_build="${minimal_build} --disable-gui-build"
else
if use fax ; then
minimal_build="${minimal_build} --enable-fax-build"
else
minimal_build="${minimal_build} --disable-fax-build"
fi
if use snmp ; then
minimal_build="${minimal_build} --enable-network-build"
else
minimal_build="${minimal_build} --disable-network-build"
fi
if use scanner ; then
minimal_build="${minimal_build} --enable-scan-build"
else
minimal_build="${minimal_build} --disable-scan-build"
fi
if use qt5 ; then
minimal_build="${minimal_build} --enable-qt5"
minimal_build="${minimal_build} --enable-gui-build"
else
minimal_build="${minimal_build} --disable-gui-build"
minimal_build="${minimal_build} --disable-qt5"
fi
fi
# disable class driver for now
econf \
--disable-class-driver \
--disable-cups11-build \
--disable-foomatic-rip-hplip-install \
--disable-imageProcessor-build \
--disable-lite-build \
--disable-shadow-build \
--disable-qt3 \
--disable-qt4 \
--disable-udev_sysfs_rules \
--with-cupsbackenddir=$(cups-config --serverbin)/backend \
--with-cupsfilterdir=$(cups-config --serverbin)/filter \
--with-docdir=/usr/share/doc/${PF} \
--with-htmldir=/usr/share/doc/${PF}/html \
--enable-hpps-install \
--enable-dbus-build \
${drv_build} \
${minimal_build} \
$(use_enable doc doc-build) \
$(use_enable libusb0 libusb01_build) \
$(use_enable parport pp-build) \
$(use_enable policykit)
# hpijs ppds are created at configure time but are not installed (3.17.11)
# Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
# The hpcups driver does not use foomatic-rip
#local i
#for i in ppd/hpijs/*.ppd.gz ; do
# rm -f ${i}.temp || die
# gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
# gzip > ${i}.temp || die
# mv ${i}.temp ${i} || die
#done
}
src_install() {
# Disable parallel install
# Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=578018
emake -j1 DESTDIR="${D}" install
einstalldocs
# default
# Installed by sane-backends
# Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=201023
rm -f "${ED}"/etc/sane.d/dll.conf || die
# Remove desktop and autostart files
# Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=638770
use qt5 || {
rm -Rf "${ED}"/usr/share/applications "${ED}"/etc/xdg
}
rm -f "${ED}"/usr/share/doc/${PF}/{copyright,README_LIBJPG,COPYING} || die
rmdir --ignore-fail-on-non-empty "${ED}"/usr/share/doc/${PF}/ || die
# Remove hal fdi files
rm -rf "${ED}"/usr/share/hal || die
find "${D}" -name '*.la' -delete || die
python_optimize "${ED}"/usr/share/hplip
readme.gentoo_create_doc
}
pkg_postinst() {
udev_reload
readme.gentoo_print_elog
}
pkg_postrm() {
udev_reload
}

View File

@ -1,290 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9,10,11} )
PYTHON_REQ_USE="threads(+),xml(+)"
inherit autotools linux-info python-single-r1 readme.gentoo-r1 udev
DESCRIPTION="HP Linux Imaging and Printing - Print, scan, fax drivers and service tools"
HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing"
SRC_URI="mirror://sourceforge/hplip/${P}.tar.gz
https://dev.gentoo.org/~billie/distfiles/${PN}-3.22.6-patches-1.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm arm64 ppc ppc64 x86"
IUSE="doc fax +hpcups hpijs kde libnotify libusb0 minimal parport policykit qt5 scanner +snmp static-ppds X"
COMMON_DEPEND="
net-print/cups
sys-apps/dbus
virtual/jpeg:0
hpijs? ( net-print/cups-filters[foomatic] )
!libusb0? ( virtual/libusb:1 )
libusb0? ( virtual/libusb:0 )
${PYTHON_DEPS}
!minimal? (
scanner? (
media-gfx/sane-backends
)
snmp? (
dev-libs/openssl:0=
net-analyzer/net-snmp:=
net-dns/avahi[dbus,python,${PYTHON_SINGLE_USEDEP}]
)
)
"
BDEPEND="
virtual/pkgconfig
"
DEPEND="
${COMMON_DEPEND}
"
RDEPEND="
${COMMON_DEPEND}
app-text/ghostscript-gpl
!minimal? (
$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]' 'python3*')
kernel_linux? ( virtual/udev )
$(python_gen_cond_dep '
>=dev-python/dbus-python-1.2.0-r1[${PYTHON_USEDEP}]
dev-python/distro[${PYTHON_USEDEP}]
fax? ( dev-python/reportlab[${PYTHON_USEDEP}] )
qt5? (
>=dev-python/PyQt5-5.5.1[dbus,gui,widgets,${PYTHON_USEDEP}]
libnotify? ( dev-python/notify2[${PYTHON_USEDEP}] )
)
scanner? (
>=dev-python/reportlab-3.2[${PYTHON_USEDEP}]
>=dev-python/pillow-3.1.1[${PYTHON_USEDEP}]
X? (
|| (
kde? ( kde-misc/skanlite )
media-gfx/xsane
media-gfx/sane-frontends
)
)
)
')
)
policykit? ( sys-auth/polkit )
"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
PATCHES=(
"${WORKDIR}/patches"
)
CONFIG_CHECK="~PARPORT ~PPDEV"
ERROR_PARPORT="Please make sure kernel parallel port support is enabled (PARPORT and PPDEV)."
#DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="
For more information on setting up your printer please take
a look at the hplip section of the gentoo printing guide:
https://wiki.gentoo.org/wiki/Printing
"
pkg_setup() {
python-single-r1_pkg_setup
use scanner && ! use X && ewarn "You need USE=X for the scanner GUI."
use parport && linux-info_pkg_setup
if use minimal ; then
ewarn "Installing driver portions only, make sure you know what you are doing."
ewarn "Depending on the USE flags set for hpcups or hpijs the appropiate driver"
ewarn "is installed. If both USE flags are set hpijs overrides hpcups."
ewarn "This also disables fax, network, scanner and gui support!"
fi
if ! use hpcups && ! use hpijs ; then
ewarn "Installing neither hpcups (USE=-hpcups) nor hpijs (USE=-hpijs) driver,"
ewarn "which is probably not what you want."
ewarn "You will almost certainly not be able to print."
fi
}
src_prepare() {
default
python_fix_shebang .
# Make desktop files follow the specification
# Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=443680
# Upstream bug: https://bugs.launchpad.net/hplip/+bug/1080324
sed -i -e '/^Categories=/s/Application;//' \
-e '/^Encoding=.*/d' hplip.desktop.in || die
sed -i -e '/^Categories=/s/Application;//' \
-e '/^Version=.*/d' \
-e '/^Comment=.*/d' hplip-systray.desktop.in || die
# Fix for Gentoo bug https://bugs.gentoo.org/show_bug.cgi?id=345725
# Upstream bug: https://bugs.launchpad.net/hplip/+bug/880847,
# https://bugs.launchpad.net/hplip/+bug/500086
local udevdir=$(get_udevdir)
sed -i -e "s|/etc/udev|${udevdir}|g" \
$(find . -type f -exec grep -l /etc/udev {} +) || die
# Force recognition of Gentoo distro by hp-check
sed -i \
-e "s:file('/etc/issue', 'r').read():'Gentoo':" \
installer/core_install.py || die
eautoreconf
}
src_configure() {
local drv_build minimal_build
if use hpcups ; then
drv_build="$(use_enable hpcups hpcups-install)"
if use static-ppds ; then
drv_build="${drv_build} --enable-cups-ppd-install"
drv_build="${drv_build} --disable-cups-drv-install"
else
drv_build="${drv_build} --enable-cups-drv-install"
drv_build="${drv_build} --disable-cups-ppd-install"
fi
else
drv_build="--disable-hpcups-install"
drv_build="${drv_build} --disable-cups-drv-install"
drv_build="${drv_build} --disable-cups-ppd-install"
fi
if use hpijs ; then
drv_build="${drv_build} $(use_enable hpijs hpijs-install)"
if use static-ppds ; then
drv_build="${drv_build} --enable-foomatic-ppd-install"
drv_build="${drv_build} --disable-foomatic-drv-install"
else
drv_build="${drv_build} --enable-foomatic-drv-install"
drv_build="${drv_build} --disable-foomatic-ppd-install"
fi
else
drv_build="${drv_build} --disable-hpijs-install"
drv_build="${drv_build} --disable-foomatic-drv-install"
drv_build="${drv_build} --disable-foomatic-ppd-install"
fi
if use minimal ; then
if use hpijs ; then
minimal_build="--enable-hpijs-only-build"
else
minimal_build="--disable-hpijs-only-build"
fi
if use hpcups ; then
minimal_build="${minimal_build} --enable-hpcups-only-build"
else
minimal_build="${minimal_build} --disable-hpcups-only-build"
fi
minimal_build="${minimal_build} --disable-fax-build"
minimal_build="${minimal_build} --disable-network-build"
minimal_build="${minimal_build} --disable-scan-build"
minimal_build="${minimal_build} --disable-gui-build"
else
if use fax ; then
minimal_build="${minimal_build} --enable-fax-build"
else
minimal_build="${minimal_build} --disable-fax-build"
fi
if use snmp ; then
minimal_build="${minimal_build} --enable-network-build"
else
minimal_build="${minimal_build} --disable-network-build"
fi
if use scanner ; then
minimal_build="${minimal_build} --enable-scan-build"
else
minimal_build="${minimal_build} --disable-scan-build"
fi
if use qt5 ; then
minimal_build="${minimal_build} --enable-qt5"
minimal_build="${minimal_build} --enable-gui-build"
else
minimal_build="${minimal_build} --disable-gui-build"
minimal_build="${minimal_build} --disable-qt5"
fi
fi
# disable class driver for now
econf \
--disable-class-driver \
--disable-cups11-build \
--disable-foomatic-rip-hplip-install \
--disable-imageProcessor-build \
--disable-lite-build \
--disable-shadow-build \
--disable-qt3 \
--disable-qt4 \
--disable-udev_sysfs_rules \
--with-cupsbackenddir=$(cups-config --serverbin)/backend \
--with-cupsfilterdir=$(cups-config --serverbin)/filter \
--with-docdir=/usr/share/doc/${PF} \
--with-htmldir=/usr/share/doc/${PF}/html \
--enable-hpps-install \
--enable-dbus-build \
${drv_build} \
${minimal_build} \
$(use_enable doc doc-build) \
$(use_enable libusb0 libusb01_build) \
$(use_enable parport pp-build) \
$(use_enable policykit)
# hpijs ppds are created at configure time but are not installed (3.17.11)
# Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
# The hpcups driver does not use foomatic-rip
#local i
#for i in ppd/hpijs/*.ppd.gz ; do
# rm -f ${i}.temp || die
# gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
# gzip > ${i}.temp || die
# mv ${i}.temp ${i} || die
#done
}
src_install() {
# Disable parallel install
# Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=578018
emake -j1 DESTDIR="${D}" install
einstalldocs
# default
# Installed by sane-backends
# Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=201023
rm -f "${ED}"/etc/sane.d/dll.conf || die
# Remove desktop and autostart files
# Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=638770
use qt5 || {
rm -Rf "${ED}"/usr/share/applications "${ED}"/etc/xdg
}
rm -f "${ED}"/usr/share/doc/${PF}/{copyright,README_LIBJPG,COPYING} || die
rmdir --ignore-fail-on-non-empty "${ED}"/usr/share/doc/${PF}/ || die
# Remove hal fdi files
rm -rf "${ED}"/usr/share/hal || die
find "${D}" -name '*.la' -delete || die
python_optimize "${ED}"/usr/share/hplip
readme.gentoo_create_doc
}
pkg_postinst() {
udev_reload
readme.gentoo_print_elog
}
pkg_postrm() {
udev_reload
}

View File

@ -1,29 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>billie@gentoo.org</email>
<name>Daniel Pielmeier</name>
</maintainer>
<maintainer type="project">
<email>printing@gentoo.org</email>
<name>Gentoo Printing Project</name>
</maintainer>
<use>
<flag name="fax">Enable fax on multifunction devices which support it</flag>
<flag name="hpcups">Build the hpcups driver for cups (by HP)</flag>
<flag name="hpijs">Build the IJS driver for cups (Foomatic)</flag>
<flag name="kde">Enables <pkg>kde-misc/skanlite</pkg> as scanner GUI with USE="scanner X"</flag>
<flag name="libusb0">Depend on <pkg>virtual/libusb</pkg> SLOT 0. Some old printers do not work with <pkg>virtual/libusb</pkg> SLOT 1.</flag>
<flag name="minimal">Only build internal hpijs/hpcups driver (not recommended at all, make sure you know what you are doing)</flag>
<flag name="parport">Enable parallel port for devices which require it</flag>
<flag name="scanner">Enable scanner on multifunction devices which support it</flag>
<flag name="snmp">Add support for <pkg>net-analyzer/net-snmp</pkg> which enables this driver to work over networks (both for server and client)</flag>
<flag name="static-ppds">Use statically-generated PPDs instead of Dynamic PPDs. Although this is deprecated some printers may still need it to work properly. Use this flag if hp-setup fails to find/create a valid PPD file</flag>
<flag name="X">Enables scanner GUI dependencies with USE="scanner" where <pkg>media-gfx/xsane</pkg> is preferred over <pkg>media-gfx/sane-frontends</pkg></flag>
</use>
<upstream>
<remote-id type="cpe">cpe:/a:hp:linux_imaging_and_printing_project</remote-id>
<remote-id type="sourceforge">hplip</remote-id>
</upstream>
</pkgmetadata>

View File

@ -1,6 +1,7 @@
AUX Logic.sh 359 BLAKE2B e8869d43b6f8cc08472669636b9e153dcd2dd56854b429b8091dbe2c7608b5625a75acba777990740db4146a77e9e2a5489d8687fe8237941449b7ff52e7045e SHA512 a0dfe01c728c96cf1581e6def36287e487bf48c8231dff0483d7f7c5b3bb5063e56b894d825cc9b90ae28af16d8fbf6088604916b752803559918060f0b4de7b
DIST Logic-2.3.55-master.AppImage 168567824 BLAKE2B 5eef4973056556bd606da512545bafff5cc57ea51e488a81cedb1139ff02d9f6e9d29aa4a3ea46dc6de7c24007059056b312990776eaf32a41b0dcce20720440 SHA512 45bdb252818242fdae55daa51034a0c6b96d9539dbf3399c53cb389aff1013da6dbfc71d9130b1fc5f2bb10592107c0cb9c911039772a487f69049e33c4cc2ca
DIST Logic-2.4.3-master.AppImage 161928600 BLAKE2B 22595b9d2da1e4b4aca871eb0117c08d6bbda6006349380230576d59487138db41c2051d9550792348af9ac43f948f758044e385720653a4d17516358e986df8 SHA512 5dc17803e9e4c2712c1e45b0758fc25458833bfb7af75edee90565316e1a3503db7405b2db2281548f53372704cdaaf1d8de2766c182882b85a2ee622f29d405
DIST Logic-2.4.7-master.AppImage 163715888 BLAKE2B e09ac9e19eeaeea9f52ba8f4e8aebdd8d43b6e1e56166aec322afc173d64b3259371318beefa80221d5453c85ad0bc176b394656d35cb67b041c0b73edfe03e0 SHA512 a4ddb26d7807577249ed2083c80372953f5093df19e2b25efbe82ef41bf9ffd163c5c8935bfd6771b0c40bfd9967b949111e81950ae7380ed70e32bf89b79bc4
EBUILD saleae-logic-bin-2.3.55.ebuild 2915 BLAKE2B 7bf8189b5da14e4217f24342ff1fc4503b2b2070532dc798ffb22c658daccc365a14df96db1683220674baea9435c5a602a8225ea90459925e2befd19e24a768 SHA512 935889def41314dc684deb9e37344dbd438242566c4d2f06274cc9deb0cc7fa8b7daeb30be32fd8d2e4a9b1f8905c5844cf2270222151f5e04c08ac74724b9e9
EBUILD saleae-logic-bin-2.4.3.ebuild 3110 BLAKE2B ef989d7c67e5d20e1c430deec6215d50169e819ae37eaf25898e8430836afe46ed1c28f9c88b0058090bd94fa2be19327063a74ec3e39329dc68c4b68b4304d0 SHA512 ee20e2d9b364f395de96656c0e66833fe4e6689606259771dfcffbf4df825eed7b5e7a5d3fbf6f9ecf5998c2acdf2a58a67950399280c6668f52fef008f236b2
EBUILD saleae-logic-bin-2.4.7.ebuild 3315 BLAKE2B de51d19a5056e1155755574501816574a2f0f4371b23b649c7455b58ce7adfc34ecfe71d5b0770cf8148bb52c74d713819bd9994c63f177cdcbdb6443efb7892 SHA512 2d457c0bb2e403056cb6c70da2de6d10e1ff7dbd39d47b63a932d7cf5a89913f8ff8195eb66361350aec18c605adc08655fa81e4251b42a2a05043ca7fbc4d0d
MISC ChangeLog 405 BLAKE2B 5fd50b228496d7ca318aed901b5dfc3ce33fc7327331495a1f94417087fcb9b6260e4f6ddde90e510507968208e2e16ca076b27005555679ff26272505a668f4 SHA512 0a832dcab3105dbfc8856c8a8e2eae4bf85ac2aa97d06c19b2591b4acde7fa5e7690e1ff1dc01799a19dad0f80bb0aec58925f5e3192331101af2fcb93e126bd
MISC metadata.xml 411 BLAKE2B 6bd76e3591b8a2d88277f9ebfbd5951a7458a266adf5818533a1d829a770db62e1de41a4cb4f29206ed5eb381c6f4bfdc04973c4c65bd72496b7e31b6c85880f SHA512 df1f54923628bff824dc8835c96902bd07d4462472b9b8f356abb0b9b81875d78fa96e511290739ecc5423eadc8b2579a65b2f31f9c2c6a73c8d3413c0603d98

View File

@ -60,7 +60,6 @@ pkg_setup() {
}
src_prepare() {
rm -r ${P}/usr/lib
sed -i "/^X-AppImage/d" "${P}/Logic.desktop" \
|| die "Failed to patch desktop file"
sed -i "s/^X-AppImage-Version=/Version=/" "${P}/Logic.desktop" \
@ -72,9 +71,13 @@ src_prepare() {
}
src_install() {
cp -a ${P}/usr "${ED}"
rm -f ${P}/.DirIcon
dodir /opt/Saleae/Logic
mv ${P}/usr/lib ${P}
mv ${P}/usr "${ED}"
rm -f ${P}/Logic.png
rm -f ${P}/.DirIcon
rm -f ${P}/AppRun
rm -f ${P}/version
find ${P} -type d -exec chmod 755 {} \;
find ${P} -type f -exec chmod 644 {} \;
find ${P} -type f -name "*.so*" -print0 |xargs -0 chmod +x
@ -82,14 +85,16 @@ src_install() {
find ${P}/resources/app.asar.unpacked/node_modules/@saleae/graph-interface/bin -type f -print0 |xargs -0 chmod +x
chmod +x ${P}/Logic
cp -a ${P}/* "${ED}"/opt/Saleae/Logic || die "Failed to move directory"
sed -e "s!@LOGIC@!/opt/Saleae/Logic!g" ${FILESDIR}/Logic.sh > "${ED}"/opt/Saleae/Logic/Logic.sh
chmod +x "${ED}"/opt/Saleae/Logic/Logic.sh
# remove chrome-sandbox binary, users should use kernel namespaces
# https://bugs.gentoo.org/692692#c18
rm "${ED}"/opt/Saleae/Logic/chrome-sandbox || die
dosym ../../opt/Saleae/Logic/Logic /usr/bin/Logic
dosym ../../opt/Saleae/Logic/Logic.sh /usr/bin/Logic
domenu "${ED}"/opt/Saleae/Logic/Logic.desktop
doicon "${ED}"/opt/Saleae/Logic/Logic.png
#doicon "${ED}"/opt/Saleae/Logic/Logic.png
dodir /etc/udev/rules.d
cat "${ED}"/opt/Saleae/Logic/resources/linux/99-SaleaeLogic.rules > "${ED}"/etc/udev/rules.d/99-SaleaeLogic.rules
udev_reload